package library;

/**
 * Sensor indicator of files requested from the services
 */
public enum BpfSensor {
    /**
     * BPF files for the OLI sensor
     */
    OLI,

    /**
     * BPF files for the TIRS sensor
     */
    TIRS,

    /**
     * Any sensor
     */
    ANY
}
