/**
 * Classes that extend the SwingWorker class for doing long tasks in a
 * background thread to avoid tying up the GUI.
 * Classes implement the doInBackground() method which is the processing
 * that is performed when the worker is created and execute() is called on it.
 * After the background processing is done, the done() method is called.
 * Intermediate results may be provided back to the GUI by using the publish()
 * method, whose published information is received by the process() method.
 */

package workers;

