#!/bin/csh -f
# Front end for the insertFile method of the CpfLoader.  This
# provides a way to insert all BPF/CPFs in a directory from the command
# line.
#
# Arguments:   Dir:      Directory containing BPFs and/or CPFs
#              Database: PROD or EVAL
java -DCPF_DB=jdbc:oracle:thin:authorization@two_task -Doracle.net.tns_admin=$TNS_ADMIN -Dlog4j.configuration=.cpfloader.properties -cp "$JAVA_LIB/antlr/antlr-2.7.6.jar:$JAVA_LIB/product-tools/product-tools-2.0.1a.jar:$JAVA_LIB/apache/commons-lang-2.1.jar:$JAVA_LIB/jboss/log4j.jar:$JAVA_LIB/ojdbc/ojdbc5.jar:$IAS_JAVA_LIB/ias.jar:$IAS_JAVA_LIB/CpfLoader.jar" CpfLoader $*
