OPTIONS (ERRORS=50)
LOAD DATA
INFILE 'TIRS_TELEMETRY_COMMAND.ldr' "str '@@@\n'"
APPEND
CONTINUEIF NEXT(1:1) = '#'
INTO TABLE "TEST_TIRS_TELEMETRY_COMMAND"
FIELDS TERMINATED BY'|'
OPTIONALLY ENCLOSED BY '"' AND '"'
TRAILING NULLCOLS (
"PULSE_PER_SECOND_COUNT",
"ACCEPTED_COMMAND_COUNT",
"UNACCEPTED_COMMAND_COUNT",
"COLLECTION_TYPE" CHAR(35),
"LANDSAT_INTERVAL_ID" CHAR(24),
"L0R_TIME_SEC_OF_DAY",
"L0R_TIME_DAYS_FROM_J2000",
"TEST_TIRS_TELEMETRY_COMMAND_ID",
"ANCILLARY_DATA_FLAGGED",
"SSM_MECH_MODE",
"SSM_ENCODER_POSITION_SAMPLE_21",
"SSM_ENCODER_POSITION_SAMPLE_20",
"SSM_ENCODER_POSITION_SAMPLE_19",
"SSM_ENCODER_POSITION_SAMPLE_18",
"SSM_ENCODER_POSITION_SAMPLE_17",
"SSM_ENCODER_POSITION_SAMPLE_16",
"SSM_ENCODER_POSITION_SAMPLE_15",
"SSM_ENCODER_POSITION_SAMPLE_14",
"SSM_ENCODER_POSITION_SAMPLE_13",
"SSM_ENCODER_POSITION_SAMPLE_12",
"SSM_ENCODER_POSITION_SAMPLE_11",
"SSM_ENCODER_POSITION_SAMPLE_10",
"SSM_ENCODER_POSITION_SAMPLE_9",
"SSM_ENCODER_POSITION_SAMPLE_8",
"SSM_ENCODER_POSITION_SAMPLE_7",
"SSM_ENCODER_POSITION_SAMPLE_6",
"SSM_ENCODER_POSITION_SAMPLE_5",
"SSM_ENCODER_POSITION_SAMPLE_4",
"SSM_ENCODER_POSITION_SAMPLE_3",
"SSM_ENCODER_POSITION_SAMPLE_2",
"SSM_ENCODER_POSITION_SAMPLE_1",
"SSM_POSITION_SELECT",
"TIMING_TABLE_PATTERN_ID_3",
"TIMING_TABLE_PATTERN_ID_2",
"TIMING_TABLE_PATTERN_ID_1",
"MODE_REGISTER",
"ACTIVE_TIMING_TABLE_PATTERN",
"SCI_ACQUISITION_FRAME_RATE",
"SCI_DATA_FRAME_CAPTURE_COUNT",
"MC_ENCODER_FLAGS",
"MILLISECOND",
"DAY",
"TOD_COMMAND_COUNTER"
)
