/******************************************************************************
NAME:           profile.h

PURPOSE:
Include file for structure definition for software to operate on bridge target 
profile data
******************************************************************************/

#ifndef _PROFILE_
#define _PROFILE_

typedef struct profile
{
    int number_points;             /* Length of profile */
    int encoder_value0;            /* Initial encoder value */
    double *sample_data;           /* Array of sample data */
    double *secs_diff;             /* Array of sample times */
    double *days_diff;             /* Array of sample times */
} PROFILE;

#endif
