#ifndef READ_GENERATE_PARAMETERS_H
#define READ_GENERATE_PARAMETERS_H

int read_parameters
(
    const char *parameter_filename   /* I: Name of the parameter file */
);

const char *get_ssm_encoder_filename(void);
const char *get_cpf_filename(void);

void get_event_start_time
(
    double *values /* O: Filled array */
);

void get_event_end_time
(
    double *values /* O: Filled array */
);

int get_telemetry_start_offset();
int get_telemetry_subsample_threshold();
int get_telemetry_subsample_step();
double get_encoder_value0();
double get_cal_outlier_rmse_threshold();

#endif
