#ifndef _GXX_UTILITY_H_
#define _GXX_UTILITY_H_



   
/*
**
** FUNCTION PROTOTYPES
**
*/

/* GPS UTILITY */
void gxx_createname
(
    const char *directory,      /* I: Directory portion of file name     */
    const char *root,           /* I: Root portion of the file name      */
    const char *extension,      /* I: Extension portion of the file name */
    char *filename              /* O: New filename                       */
);


void gxx_create_DDR_name
(
    char *DDR_name,        /* O: pointer to formed DDR name */
    const char *HDF_name   /* I: HDF name to form DDR name from */
);

void gxx_splitname
(
    const char *filename,       /* I: Name of file to split              */
    char *directory,            /* O: Directory portion of file name     */
    char *root,                 /* O: Root portion of the file name      */
    char *extension             /* O: Extension portion of the file name */
);

#endif
