#ifndef WOPROCESSING_H
#define WOPROCESSING_H

/******************************************************************************
               Image Assessment System (IAS) Software
 ******************************************************************************
 *
 * Name:   WOProcessing.h
 *
 * PURPOSE:
 * This is the declaration file of the WOProcessing class which is used to
 * Change the work order processing state.
 *
 *****************************************************************************/

#include "ui_WOProcessingBase.h"
#include "IASListViewItem.h"

class WOProcessing: public QWidget, public Ui::WOProcessingBase
{
    Q_OBJECT

    public:

        WOProcessing(QWidget *parent = 0,
                     Qt::WindowFlags fl = 0);

    public slots:

        void populate();
        void updatedb();

    private:

        void setupListView();

        columnDataTypesList m_listColumnTypes;
        int m_woProcNumCols;
};

#endif // WOPROCESSING_H

