#!/bin/csh -f

if ( ${#argv} < 2 ) then
    echo
    echo "Usage: $0 <Case 1 WOID> <Case 7 WOID>"
    echo
    exit 1
endif

set noglob
set ofile = .ofile

set query = "select count(*) from histogram_statistics hs, \
    radiometric_work_order_common rwoc where rwoc.work_order_id='$1' \
    AND rwoc.radiometric_wo_common_id = hs.radiometric_wo_common_id;"

echo "COUNT of $1" > $ofile
echo "----------" >> $ofile
echo "Records for $1" >> $ofile
echo $query | sqlplus $IAS_DB_L8_OLITIRS >> $ofile

set query = "select count(*) from histogram_statistics hs, \
    radiometric_work_order_common rwoc where rwoc.work_order_id='$2' \
    AND rwoc.radiometric_wo_common_id = hs.radiometric_wo_common_id;"

echo "COUNT of $2" >> $ofile
echo "----------" >> $ofile
echo "Records for $2" >> $ofile
echo $query | sqlplus $IAS_DB_L8_OLITIRS >> $ofile

grep -A 2 COUNT $ofile | grep -v ^-- | grep -v COUNT

rm $ofile

