#!/bin/bash
# Generate a test work order for regression testing.

mode="IT"
if [[ -n "$1" ]]
then
    if [[ $1 == "ST" ]]
    then
        mode="ST" 
    fi
fi

log="load_test_wo.log"
scene="LC80282462013234LGN00"
l0r_dir="$IAS_IT_TEST_DATA_DIR/l0r"

if [[ $mode == "IT" ]]
then
    PWG -procedure_id "L1T Product" -interactive \
        -scene_id "$scene" \
        -l0r_data_path "$l0r_dir/$scene/$scene" \
        -comment "Test Case 034 Work Order" > $log
else
    PWG -procedure_id "L1T Product" -interactive \
        -scene_id "$scene" \
        -comment "Test Case 034 Work Order" > $log
fi

