#!/bin/bash
../tools/clean_cpf.pl L8CPF20150101_20150331.03
if [ $? -ne 0 ] 
then
    echo
    echo "Error removing L8CPF20150101_20150331.03"
    echo
    exit 1 # failure
else
    echo
    echo "Removed L8CPF20150101_20150331.03"
    echo
fi
../tools/clean_cpf.pl eval_L8CPF20150101_20150331.02
if [ $? -ne 0 ] 
then
    echo
    echo "Error removing eval_L8CPF20150101_20150331.02"
    echo
    exit 1 # failure
else
    echo
    echo "Removed eval_L8CPF20150101_20150331.02"
    echo
fi
echo "Cleanup Complete"
exit 0 # success
