
set l0rPath = "-l0r_data_path $IAS_IT_TEST_DATA_DIR/l0r/LC81640442000248SGS00/LC81640442000248SGS00"
if ($1 == "ST") then
    set l0rPath = ""
endif

PWG -procedure_id "Generate L1R" \
    -scene_id "LC81640442000248SGS00" \
    $l0rPath \
    -comment "Test Case 047 Absolute Gain Correction" \
    -parm "DSW:CAL_PARM_FILENAME=$IAS_IT_TEST_DATA_DIR/cpf/tc047_tc048_L8CPF20000701_20000930.01" \
    -parm "L8RPS:ALGORITHMS_ELEM1=inoperable_detector_identification_SKIP" \
    -parm "L8RPS:ALGORITHMS_ELEM2=dropped_frame_characterization_SKIP" \
    -parm "L8RPS:ALGORITHMS_ELEM3=saturated_pixel_characterization_SKIP" \
    -parm "L8RPS:ALGORITHMS_ELEM4=convert_to_float" \
    -parm "L8RPS:ALGORITHMS_ELEM5=tirs_response_linearization_SKIP" \
    -parm "L8RPS:ALGORITHMS_ELEM6=tirs_histogram_statistics_characterization_SKIP" \
    -parm "L8RPS:ALGORITHMS_ELEM7=temperature_sensitivity_correction_SKIP" \
    -parm "L8RPS:ALGORITHMS_ELEM8=tirs_bias_removal_SKIP" \
    -parm "L8RPS:ALGORITHMS_ELEM9=oli_bias_determination_SKIP" \
    -parm "L8RPS:ALGORITHMS_ELEM10=oli_bias_removal_SKIP" \
    -parm "L8RPS:ALGORITHMS_ELEM11=oli_response_linearization_SKIP" \
    -parm "L8RPS:ALGORITHMS_ELEM12=oli_histogram_statistics_characterization_SKIP" \
    -parm "L8RPS:ALGORITHMS_ELEM13=gain_application" \
    -parm "L8RPS:ALGORITHMS_ELEM14=sca_overlap_statistics_characterization_SKIP" \
    -parm "L8RPS:ALGORITHMS_ELEM15=sca_discontinuity_correction_SKIP" \
    -parm "L8RPS:ALGORITHMS_ELEM16=striping_characterization_SKIP" \
    -parm "L8RPS:ALGORITHMS_ELEM17=residual_striping_correction_SKIP" \
    -parm "L8RPS:ALGORITHMS_ELEM18=saturated_pixel_replacement_SKIP" \
    -parm "L8RPS:ALGORITHMS_ELEM19=inoperable_detectors_fill_SKIP" \
    -parm "L8RPS:ALGORITHMS_ELEM20=reflectance_conversion_SKIP" \
    -parm "L8RPS:PERFORM_TEMP_SENS=0" \
    -parm "L8RPS:L1R_FILENAME=l1r_ag.h5" \
    -parm "L8RPS:APPLY_ABSOLUTE_GAIN=1" \
    -parm "L8RPS:APPLY_RELATIVE_GAIN=0"
