#!/bin/csh -fe

set orig_path = $cwd
cd $IAS_IT_TEST_DATA_DIR/test_case_069/
sqlldr $IAS_DB_L8_OLITIRS CONTROL=TIRS_TELEMETRY_CIRCUIT.ctl \
     LOG=$IAS_IT_SCRIPTS_DIR/test_case_069/tirs_telemetry_circuit.log \
     BAD=$IAS_IT_SCRIPTS_DIR/test_case_069/tirs_telemetry_circuit.BAD
sqlldr $IAS_DB_L8_OLITIRS CONTROL=TIRS_TELEMETRY_COMMAND.ctl \
     LOG=$IAS_IT_SCRIPTS_DIR/test_case_069/tirs_telemetry_command.log \
     BAD=$IAS_IT_SCRIPTS_DIR/test_case_069/tirs_telemetry_command.BAD
sqlldr $IAS_DB_L8_OLITIRS CONTROL=GEOMETRIC_WORK_ORDER_COMMON.ctl \
     LOG=$IAS_IT_SCRIPTS_DIR/test_case_069/geometric_work_order_common.log \
     BAD=$IAS_IT_SCRIPTS_DIR/test_case_069/geometric_work_order_common.BAD
sqlldr $IAS_DB_L8_OLITIRS CONTROL=TIRS_SSM_ESTIMATION.ctl \
     LOG=$IAS_IT_SCRIPTS_DIR/test_case_069/tirs_ssm_estimation.log \
     BAD=$IAS_IT_SCRIPTS_DIR/test_case_069/tirs_ssm_estimation.BAD
sqlldr $IAS_DB_L8_OLITIRS CONTROL=TIRS_SSM_ESTIMATION_SCA.ctl \
     LOG=$IAS_IT_SCRIPTS_DIR/test_case_069/tirs_ssm_estimation_sca.log \
     BAD=$IAS_IT_SCRIPTS_DIR/test_case_069/tirs_ssm_estimation_sca.bad
cd $orig_path
