package gov.usgs.ias.gui.common_library;

import java.util.Calendar;

/**
 * Stores configuration values for date dialog windows.
 */
public class DateConfig {

     /**
     * Initially selected year for date selections.  This is the launch
     * year of the spacecraft.
     */
    public final static int STARTYEAR = 2013;

    /**
     * The minimum value accepted as a valid year.
     */
    static final int MINYEAR
        = Calendar.getInstance().get(Calendar.YEAR) - 45;

    /**
     * The maximum value accepted as a valid year.
     */
    static final int MAXYEAR
        = Calendar.getInstance().get(Calendar.YEAR) + 5;

}
