#!/bin/sh
# This must be run from the 'javalib/ias' directory so that the built 
#   test classes can be found in the 'build' subdir

# Get the database connection string from the test.properties file
DBPROPERTY=`grep "^test-sys-prop.BPF_TEST_DB" test.properties | sed -e 's/test-sys-prop.//'`

# Insert the file
java -D"$DBPROPERTY" -Djava.security.egd=file:///dev/urandom -Doracle.net.tns_admin=$TNS_ADMIN -cp "$JAVA_LIB/antlr/antlr-2.7.6.jar:$JAVA_LIB/product-tools/product-tools-2.0.1a.jar:$JAVA_LIB/apache/commons-lang-2.1.jar:$JAVA_LIB/jboss/log4j.jar:$JAVA_LIB/ojdbc/ojdbc5.jar:$JUNIT_HOME/junit-4.8.jar:build/classes:build/test/classes:$IAS_JAVA_LIB/ias.jar:ias-test.jar" gov.usgs.ias.dao.bpf.BpfInsertTest $*

