QUIET
SET LINESIZE 128
SET PAGESIZE 0
SET HEADING ON
SPOOL tmpResults.txt
SELECT
    BAND_ID AS BAND, SENSOR_CHIP_ASSEMBLY_ID AS SCA, DETECTOR_ID AS DETECTOR,
    SCENE_PIXEL_MIN AS MIN, SCENE_PIXEL_MAX AS MAX, SCENE_PIXEL_STDEV AS STDEV,
    SCENE_PIXEL_MEAN AS MEAN, SCENE_PIXEL_SKEWNESS AS SKEWNESS,
    SCENE_PIXEL_KURTOSIS AS KURTOSIS, MEAN_SQUARED_RESPONSE AS MeanSqResp,
    ADJACENT_CORRELATION AS AdjCorr
FROM SEGMENT_STATISTICS
WHERE RADIOMETRIC_WO_COMMON_ID = __RWOID__
ORDER BY
    ACQUISITION_TIME, BAND_ID, SENSOR_CHIP_ASSEMBLY_ID, DETECTOR_ID, LINESET;
EXIT;
