#!/bin/csh -f

set count = `sqlplus -s ${IAS_DB_L8_OLITIRS}` << END1
    set head off;
    select count(1) from (  
    SELECT radiometric_wo_common_id FROM radiometric_work_order_common
    WHERE work_order_id='LunarUT');
    exit;
END1

if ( $count != 1 ) then
    echo "No records to delete"
    exit 0
endif

#set rwocid = `sqlplus -s ${IAS_DB_L8_OLITIRS}` << END2
#    set head off;
#    SELECT radiometric_wo_common_id FROM radiometric_work_order_common
#    WHERE work_order_id='LunarUT';
#    exit;
#END2

sqlplus -s  ${IAS_DB_L8_OLITIRS} << END3
    set head off;
    DELETE FROM radiometric_work_order_common WHERE work_order_id='LunarUT';
    exit;
END3

exit 0
