BEGIN
    BEGIN
        EXECUTE IMMEDIATE 'DROP TABLE DEV_SNR_TREND';
    EXCEPTION WHEN OTHERS THEN
        NULL;
    END;
    COMMIT;
END;
/

  CREATE TABLE "DEV_SNR_TREND" 
   (	"SNR_TREND_ID" NUMBER(20,0), 
	"BAND_ID" NUMBER(4,0), 
	"SNR_AT_LTYPICAL" NUMBER, 
	"SNR_AT_LHIGH" NUMBER, 
	"UNCERTAINTY_LTYPICAL" NUMBER, 
	"UNCERTAINTY_LHIGH" NUMBER, 
	"A" NUMBER, 
	"B" NUMBER, 
	"UNCERTAINTY_A" NUMBER, 
	"UNCERTAINTY_B" NUMBER, 
	"NUMBER_OF_COLLECTS" NUMBER(20,0), 
	"START_DATE" DATE, 
	"END_DATE" DATE, 
	"STDEV_LTYPICAL" NUMBER, 
	"STDEV_LHIGH" NUMBER, 
	"VALID" VARCHAR2(2 BYTE)
   );

exit;
