#!/bin/csh -f

set files = ( attr_control b10sca1_control b10sca2_control b10sca3_control \
              temp_control b11sca1_control b11sca2_control b11sca3_control \
              temperatures )

foreach file ( $files )
    rm -f $file
end

echo "PATH Description" > $files[1]
echo "INPUT-CLASS STR" >> $files[1]

echo "PATH Radiance_Table/Band_10/SCA_1" > $files[2]
echo "INPUT-CLASS TEXTFP" >> $files[2]
echo "RANK 2" >> $files[2]
echo "DIMENSION-SIZES 9 640" >> $files[2]
echo "OUTPUT-CLASS FP" >> $files[2]
echo "OUTPUT-SIZE 64" >> $files[2]

echo "PATH Radiance_Table/Band_10/SCA_2" > $files[3]
echo "INPUT-CLASS TEXTFP" >> $files[3]
echo "RANK 2" >> $files[3]
echo "DIMENSION-SIZES 9 640" >> $files[3]
echo "OUTPUT-CLASS FP" >> $files[3]
echo "OUTPUT-SIZE 64" >> $files[3]

echo "PATH Radiance_Table/Band_10/SCA_3" > $files[4]
echo "INPUT-CLASS TEXTFP" >> $files[4]
echo "RANK 2" >> $files[4]
echo "DIMENSION-SIZES 9 640" >> $files[4]
echo "OUTPUT-CLASS FP" >> $files[4]
echo "OUTPUT-SIZE 64" >> $files[4]

echo "PATH Temperature_Table" > $files[5]
echo "INPUT-CLASS TEXTFP" >> $files[5]
echo "RANK 1" >> $files[5]
echo "DIMENSION-SIZES 9" >> $files[5]
echo "OUTPUT-CLASS FP" >> $files[5]
echo "OUTPUT-SIZE 64" >> $files[5]

echo "PATH Radiance_Table/Band_11/SCA_1" > $files[6]
echo "INPUT-CLASS TEXTFP" >> $files[6]
echo "RANK 2" >> $files[6]
echo "DIMENSION-SIZES 9 640" >> $files[6]
echo "OUTPUT-CLASS FP" >> $files[6]
echo "OUTPUT-SIZE 64" >> $files[6]

echo "PATH Radiance_Table/Band_11/SCA_2" > $files[7]
echo "INPUT-CLASS TEXTFP" >> $files[7]
echo "RANK 2" >> $files[7]
echo "DIMENSION-SIZES 9 640" >> $files[7]
echo "OUTPUT-CLASS FP" >> $files[7]
echo "OUTPUT-SIZE 64" >> $files[7]

echo "PATH Radiance_Table/Band_11/SCA_3" > $files[8]
echo "INPUT-CLASS TEXTFP" >> $files[8]
echo "RANK 2" >> $files[8]
echo "DIMENSION-SIZES 9 640" >> $files[8]
echo "OUTPUT-CLASS FP" >> $files[8]
echo "OUTPUT-SIZE 64" >> $files[8]

echo "260.0" > $files[9]
echo "265.0" >> $files[9]
echo "270.0" >> $files[9]
echo "280.0" >> $files[9]
echo "290.0" >> $files[9]
echo "300.0" >> $files[9]
echo "310.0" >> $files[9]
echo "320.0" >> $files[9]
echo "330.0" >> $files[9]
