#ifndef DEM_TYPES_H
#define DEM_TYPES_H

/* DEM data sources.  Although not needed for the current version of the
   application, keep the NED and SRTM2_XX types around just in case
   these need to be resurrected in the future */
typedef enum ias_elev_sources_type
{
    UNKNOWN   = 0,
    NED       = 1,
    NED_HI    = 3,
    SRTM2_30  = 4,
    GTOPO30   = 5,
    SRTM2_90  = 6,
    GLSDEM_90 = 7,
    RAMP_DEM  = 8
} IAS_ELEV_SOURCES_TYPE;

#endif

