#ifndef GET_CELL_INTERSECTION_H
#define GET_CELL_INTERSECTION_H

#include "gtopo30.h"

void get_cell_intersection
(
    const GTOPO30_CELL *input_cell,  /* I: input elevation cell */
    const GTOPO30_CELL *output_cell, /* I: mosaic'ed output cell */
    int *ic_ul_line,                 /* O: input cell upper-left line */
    int *ic_ul_sample,               /* O: input cell upper-left sample */
    int *oc_ul_line,                 /* O: output cell upper-left line */
    int *oc_ul_sample,               /* O: output cell upper-left sample */
    int *lines,                      /* O: lines in intersecting area */
    int *samples                     /* O: samples in intersecting area */
);

#endif
