#ifndef GET_GEOID_HEIGHT_H
#define GET_GEOID_HEIGHT_H

#include "gtopo30.h"

double get_geoid_height
(
    GTOPO30_CELL *gcell,            /* I/O: Geoid separation data cell */
    double lat,                     /* I: Current latitude in the range of
                                       [-90.0, 90] degrees */
    double lon                      /* I: Current longitude in the range of
                                       [-180.0, 180.0] degrees */
);


#endif
