#ifndef GET_GTOPO30_DATA_H
#define GET_GTOPO30_DATA_H

#include "gtopo30.h"    /* GTOPO30_CELL definition */

int get_gtopo30_data
(
    const char *dem_root_dir, /* I: DEM data root directory */
    double ullat,             /* I: Upper-left latitude of bounding box */
    double ullon,             /* I: Upper-left longitude of bounding box */
    double lrlat,             /* I: Lower-right latitude of bounding box */
    double lrlon,             /* I: Lower-right longitude of bounding box */
    GTOPO30_CELL *elevation_cell  /* O: Elevation data read */
);

#endif
