#ifndef GET_GTOPO30_TILE_LIST_H
#define GET_GTOPO30_TILE_LIST_H

#define MAX_LON_TILES_NORTH 9
#define MAX_LON_TILES_SOUTH 6

#define GTOPO_NAME_BUFFER_LENGTH    9
#define NUM_GTOPO30_TILES          33

char **get_gtopo30_tile_list
(
    double ullat,       /* I: upper-left latitude of bounding box */
    double ullon,       /* I: upper-left longitude of bounding box */
    double lrlat,       /* I: lower-right latitude of bounding box */
    double lrlon,       /* I: lower-right longitude of bounding box */
    int *tile_count     /* O: count of tiles in returned list */
);

#endif
