--
-- There is a dependency on the WORK_ORDERS table to be able to insert a record
-- into the SCENES table so insert the WORK_ORDERS into the table.
-- This file should be used as a GENERIC load file for loading multiple tables.
set pagesize 0
set heading off
set wrap off
set echo off
set trimout off
set trimspool on
set termout off
set feedback off
set linesize 2000
set space 0
set colsep |
--
--
Insert into WORK_ORDERS (WORK_ORDER_ID,PROCESSING_INSTANCE,ORDER_ID,ARCHIVED,DATE_ENTERED,DELETED,PRIORITY,REQUESTER,REQUEST_TYPE,STATE,ACT_COMPL_DATE,DATE_L0R_REQUESTED,EPHEM_TYPE,REQ_COMPL_DATE,REQ_START_DATE,PROCEDURE_ID,PRODUCT_REQUEST_ID,CPF_OVERRIDE,EPHEM_FILE,WO_COMMENT,WO_PATH,CPF_NAME,CUSTOMER_ORDER_NBR,CUSTOMER_UNIT_NBR,SATELLITE,SENSOR,SCENE_ID,L0R_DATA_PATH,L0R_DATA_STATUS,PRODUCT_DELIVERED,OUTPUT_DB_SCHEMA,DATE_EXPIRED,DATE_UPDATED,WO_REPLACED) values ('WO1234','&1',null,0,to_date('01-JUN-15','DD-MON-RR'),0,4,'user','S','E',to_date('01-JUN-15','DD-MON-RR'),null,'P',to_date('03-JUN-15','DD-MON-RR'),to_date('01-JUN-15','DD-MON-RR'),'L1GT Product','I90',null,null,null,'/ias_sys/proddata/wo/I90',null,null,null,'L8','TIRS','LO800O1150012015121LGN00','/LO800O1150012015121LGN00',1,null,'P',null,to_date('01-JUN-15','DD-MON-RR'),0);
Insert into WORK_ORDERS (WORK_ORDER_ID,PROCESSING_INSTANCE,ORDER_ID,ARCHIVED,DATE_ENTERED,DELETED,PRIORITY,REQUESTER,REQUEST_TYPE,STATE,ACT_COMPL_DATE,DATE_L0R_REQUESTED,EPHEM_TYPE,REQ_COMPL_DATE,REQ_START_DATE,PROCEDURE_ID,PRODUCT_REQUEST_ID,CPF_OVERRIDE,EPHEM_FILE,WO_COMMENT,WO_PATH,CPF_NAME,CUSTOMER_ORDER_NBR,CUSTOMER_UNIT_NBR,SATELLITE,SENSOR,SCENE_ID,L0R_DATA_PATH,L0R_DATA_STATUS,PRODUCT_DELIVERED,OUTPUT_DB_SCHEMA,DATE_EXPIRED,DATE_UPDATED,WO_REPLACED) values ('WO5678','&1',null,0,to_date('04-JUN-15','DD-MON-RR'),0,4,'user','S','H',null,null,'P',to_date('06-JUN-15','DD-MON-RR'),to_date('04-JUN-15','DD-MON-RR'),'L1T Product','I91',null,null,null,'/ias_sys/proddata/wo/I91',null,null,null,'L8','OLITIRS','LC80350412013219LGN00','//LC80350412013219LGN00',1,null,'P',null,to_date('04-JUN-15','DD-MON-RR'),0);
Insert into WORK_ORDERS (WORK_ORDER_ID,PROCESSING_INSTANCE,ORDER_ID,ARCHIVED,DATE_ENTERED,DELETED,PRIORITY,REQUESTER,REQUEST_TYPE,STATE,ACT_COMPL_DATE,DATE_L0R_REQUESTED,EPHEM_TYPE,REQ_COMPL_DATE,REQ_START_DATE,PROCEDURE_ID,PRODUCT_REQUEST_ID,CPF_OVERRIDE,EPHEM_FILE,WO_COMMENT,WO_PATH,CPF_NAME,CUSTOMER_ORDER_NBR,CUSTOMER_UNIT_NBR,SATELLITE,SENSOR,SCENE_ID,L0R_DATA_PATH,L0R_DATA_STATUS,PRODUCT_DELIVERED,OUTPUT_DB_SCHEMA,DATE_EXPIRED,DATE_UPDATED,WO_REPLACED) values ('WO6789','&1',null,0,to_date('04-JUN-15','DD-MON-RR'),0,4,'user','S','H',null,null,'P',to_date('06-JUN-15','DD-MON-RR'),to_date('04-JUN-15','DD-MON-RR'),'L1T Product','I91',null,null,null,'/ias_sys/proddata/wo/I91',null,null,null,'L8','OLITIRS','LC80350412013219LGN00','/LC80350412013219LGN00',1,null,'P',null,to_date('04-JUN-15','DD-MON-RR'),0);
Insert into WORK_ORDERS (WORK_ORDER_ID,PROCESSING_INSTANCE,ORDER_ID,ARCHIVED,DATE_ENTERED,DELETED,PRIORITY,REQUESTER,REQUEST_TYPE,STATE,ACT_COMPL_DATE,DATE_L0R_REQUESTED,EPHEM_TYPE,REQ_COMPL_DATE,REQ_START_DATE,PROCEDURE_ID,PRODUCT_REQUEST_ID,CPF_OVERRIDE,EPHEM_FILE,WO_COMMENT,WO_PATH,CPF_NAME,CUSTOMER_ORDER_NBR,CUSTOMER_UNIT_NBR,SATELLITE,SENSOR,SCENE_ID,L0R_DATA_PATH,L0R_DATA_STATUS,PRODUCT_DELIVERED,OUTPUT_DB_SCHEMA,DATE_EXPIRED,DATE_UPDATED,WO_REPLACED) values ('WO1011','&1',null,0,to_date('04-JUN-15','DD-MON-RR'),0,4,'user','S','H',null,null,'P',to_date('06-JUN-15','DD-MON-RR'),to_date('04-JUN-15','DD-MON-RR'),'L1GT PRODUCT','I91',null,null,null,'/ias_sys/proddata/wo/I91',null,null,null,'L8','TIRS','LC80350412013219LGN00','/LC80350412013219LGN00',1,null,'P',null,to_date('04-JUN-15','DD-MON-RR'),0);
commit;
exit
