--
-- This script generates an sql script to generate an sql loader
-- script which is used to do the work the that actual subsetter will do
-- when it is funcional.  That is, set the l0rp location and the status
-- in the subsetter request table.
--
-- Setup so certain stuff is not output to the files.
--
set pagesize 0
set heading off
set wrap off
set echo off
set trimout off
set trimspool on
set termout off
set feedback off
set linesize 2000
set space 0
set colsep |
--
-- Update the subsetter request table
--
spool update_records_sql_DR.log
spool off
update subsetter_request
set l0rp_location = '&1/ias_base/dms/subsetter_interface/LC80400332001213EDC00',
    status = 'L0Rp-READY'
where work_order_id like 'D2050%' and status = 'REQ-NEW';
commit;
update subsetter_request
set l0rp_location = '&1/ias_base/dms/ingest_data',
    status = 'L0Rp-READY'
where work_order_id like 'D2051%' and status = 'REQ-NEW';
commit;
exit
