#!/bin/sh

# This script updates the specified work orders in the subsetter request table

PWD=`pwd`
LOG="$PWD/update_records_Rel.log"
DB="$IAS_DB_COM"

# Initialize the log file.
DATE=`date`
echo "Created $DATE" 2>&1 > $LOG

# Process the tables.
echo "" 2>&1 >> $LOG
echo "--- Updating DB Records ---------------------------------" 2>&1 >> $LOG
sqlplus $DB @update_records_Rel.sql "$IAS_UNIT_TEST_DATA_DIR" 2>&1 >> $LOG

echo "" 2>&1 >> $LOG
DATE=`date`
echo "Completed - $0 - $DATE" 2>&1 >> $LOG

