#!/bin/sh

# This script updates the specified work orders in the subsetter request table

PWD=`pwd`
LOG="$PWD/update_sys_parms.log"
DB="$IAS_DB_COM"

# Initialize the log file.
DATE=`date`
echo "Created $DATE" 2>&1 > $LOG

# Process the tables.
echo "" 2>&1 >> $LOG
echo "--- Updating SYS_PARMS table -------------------------" 2>&1 >> $LOG
sqlplus $DB @update_sys_parms.sql $1 2>&1 >> $LOG

echo "" 2>&1 >> $LOG
DATE=`date`
echo "Completed - $0 - $DATE" 2>&1 >> $LOG

