#!/bin/csh -f

#
# NAME: test_bandcal.csh
#
# PURPOSE: To run multiple bandcal test scenarios.
#

#
# Run the test senarios.
#
setenv IAS_VERSION_OVERRIDE "Y"
setenv scenario "oli"
./run_bandcal.csh
if ( $status ) then
    echo "Scenario ${scenario} test case failed."
    exit 1
endif

# The following test: Tests processing a subset of the OLI data.
# Specifically bands 8 and 1.
setenv scenario "oli2"
./run_bandcal.csh
if ( $status ) then
    echo "Scenario ${scenario} test case failed."
    exit 1
endif

setenv scenario "tirs"
./run_bandcal.csh
if ( $status ) then
    echo "Scenario ${scenario} test case failed."
    exit 1
endif

