
#ifndef _FIT_POLYNOMIALS_H_
#define _FIT_POLYNOMIALS_H_

#include "focal_plane.h"       /* CORR_PT_INFO definition */

int fit_polynomials
(
    int corr_points,        /* I: Number of focal plane correlation points */
    int sca_num,            /* I: SCA number to solve */
    int fit_order,          /* I: Order of polynomial to fit (0-2) */
    int sca_num_det,        /* I: Number of detectors in the SCA */
    const CORR_PT_INFO *fp_corr_pts_ptr,/* I: Focal plane correlation points */
    double *error_coeffs_x, /* O: Legendre error coeffs across track */
    double *error_coeffs_y  /* O: Legendre error coeffs along track */
);

#endif 
