#ifndef _RESAMPLE_H_
#define _RESAMPLE_H_


int initialize_resample_image();
void reset_resample_image();
void cleanup_resample_image();
void setup_resampf1p_output(void);

int resample_image_cc
(
    void * params,  /* I: pointer to input parameter structure. */
    int thread_num  /* I: thread number running this routine */
);

int resample_image_nn
(
    void * params,  /* I: pointer to input parameter structure. */
    int thread_num  /* I: thread number running this routine */
);

int resample_image_bi
(
    void * params,  /* I: pointer to input parameter structure.  */
    int thread_num  /* I: thread number running this routine */
);

#endif 

