#ifndef _GET_MAKE_GEOM_GRID_PARAMETERS_H_
#define _GET_MAKE_GEOM_GRID_PARAMETERS_H_

#include "ias_geom_grid.h" 

int read_make_geom_grid_parameters
(
    const char *parameter_filename /* INPUT: ODL filename that contains 
                                             parameters */
);
char *get_source_filename(void);
char *get_grid_filename(void);
char *get_geom_grid_filename(void);
char *get_omf_filename(void);
int get_cell_lines(void);
int get_cell_samples(void);
int *get_target_band_index_list(void);
int *get_source_band_index_list(void);
int get_num_bands(void);
int get_processing_pass(void);
int get_doq_image_flag(void);

#endif
