#include <stdlib.h>
#include <stdio.h>
#include "gctp.h"


int main(int argc, const char *argv[])
{
    int zone;
    double longitude;

    if (argc != 2)
    {
        printf("\nUsage: %s longitude\n\n", argv[0]);
        return EXIT_FAILURE;
    }
    if (sscanf(argv[1], "%lf", &longitude) != 1)
    {
        printf("Error parsing \"%s\" as a longitude\n", argv[1]);
        return EXIT_FAILURE;
    }

    zone = gctp_calc_utm_zone(longitude);

    printf("zone for %f is %d\n", longitude, zone);

    return EXIT_SUCCESS;
}
