#ifndef FIND_PIXEL_NEAREST_POLYGON_H
#define FIND_PIXEL_NEAREST_POLYGON_H

#include "get_l1g.h"

int find_pixel_nearest_polygon
(
    double in_line,            /* I: Line coordinate */
    double in_sample,          /* I: Sample coordinate */
    const int *corner_lines,   /* I: Corner lines array */
    const int *corner_samples, /* I: Corner samples array */
    const L1G_INFO *l1g_info,  /* I: Input L1G data */
    int *return_line,          /* O: Nearest pixel line */
    int *return_sample,        /* O: Nearest pixel sample */
    float *radiance            /* O: Nearest pixel radiance */
);

#endif
