#ifndef UPDATE_L1R_METADATA_H
#define UPDATE_L1R_METADATA_H

#include "ias_l1r.h"

int write_l1r_metadata
(
    const char *source_image_filename, /* I: Stray light image source */
    const char *source_image_sensor,   /* I: Stray light image sensor */
    int used_land_mask_flag,/* I: Flag to indicate the land mask was used during
                                  processing */
    L1RIO *l1rio_ptr        /* I/O: L1R pointer */
);

#endif
