#!/bin/csh -f
#
#  NAME -    compare_results.csh
#
#  PURPOSE - Perform a unix diff on two files.  return 1 if they differ and 0
#            if they are the same.
#
#  USAGE:    compare_results.csh 
#                               1. first binary file name
#                               2. second binary file name
#
#---------------------------------------------------------------------------

diff -q $1 $2
if ( $status ) then
    exit 1
else
    exit 0
endif
