#!/bin/csh -f

#############################################################################
# NAME:       get_procedures.csh
#
# PURPOSE:    Queries the 'sub_modules' database table for the list of
#             currently defined procedures
#
# RETURNS:    Integer status code of 0.  The query may itself error,
#             however.
#############################################################################

# Define and run the query.
sqlplus -s ${IAS_DB_L8_OLITIRS} << END
    set head off
    set pagesize 50000
    select distinct module_id from sub_modules;
    exit
END

exit 0
