/*-----------------------------------------------------------------------------

NAME: ias_l0r_mta_v5.h

PURPOSE: Header for the L0R library metadata routines that provide backwards
   compatibility for metadata prior to L0R format version 6.

ALGORITHM REFERENCES: NONE

NOTES:

-----------------------------------------------------------------------------*/
#ifndef __IAS_L0R_MTA_V5_H__
#define __IAS_L0R_MTA_V5_H__ 

#define IAS_L0R_CPF_NAME_LENGTH_V5 25

/* project included headers */
#include "ias_l0r_hdf.h"

int ias_l0r_get_interval_metadata_v5
(
    L0RIO *l0r, /* I: structure used with the l0r data */
    IAS_L0R_INTERVAL_METADATA *mta_info_interval /* O: Metadata read */
);

#endif
