#!/usr/bin/perl

# Perl script to generate the Image to Image assessment data group for
# the oli/tirs cpf.  The values created are place holders only.

$tthresh = "Trend_Threshold";

$i = 0;
$my_string = "";

open (FN, '> i2i.txt');

printf FN "GROUP = I2I_ASSESSMENT\n";

# diffuser bidriction reflectance factor primary
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4)
    {
        $my_string = 
         sprintf("  %s_SCA%02d = (0.000, 0.000, 0.000, 0.000, 0.00, 0.00,\n\t", 
                            $tthresh, $s);
        printf FN "$my_string";
        $my_string = "0.00, 0.00, 0.00, 0.00, 0.00)\n";
        printf FN "$my_string";
    }
    else # oli only 
    {
        $my_string = 
         sprintf("  %s_SCA%02d = (0.000, 0.000, 0.000, 0.000, 0.00, 0.00,\n\t", 
                            $tthresh, $s);
        printf FN "$my_string";
        $my_string = "0.00, 0.00, 0.00)\n";
        printf FN "$my_string";
    }
}

printf FN "END_GROUP = I2I_ASSESSMENT\n";
close FN;
