--------------------------------------------------------------------------------
-- Test table load script
--
-- Creates the DATABASE_UNIT_TEST table and inserts a single row
--------------------------------------------------------------------------------

-- Drop the table if it exists
BEGIN
    BEGIN
        EXECUTE IMMEDIATE 'DROP TABLE DATABASE_UNIT_TEST';
    EXCEPTION WHEN OTHERS THEN
        NULL;
    END;
    COMMIT;
END;
/

--------------------------------------------------------
--  DDL for Table DATABASE_UNIT_TEST
--------------------------------------------------------

  CREATE TABLE "DATABASE_UNIT_TEST" 
  (	"NAME" VARCHAR2(200 BYTE)
  );

-- Insert the single row
BEGIN
    BEGIN
        INSERT INTO DATABASE_UNIT_TEST ("NAME")
        VALUES ('UNIT_TEST_IAS');
    END;
    COMMIT;
EXCEPTION
  WHEN OTHERS THEN
    ROLLBACK;
    RAISE;
END;
/

exit;
