#!/bin/csh -f

if ( ! $?IAS_UNIT_TEST_DATA_DIR ) then
    echo "1 IAS_UNIT_TEST_DATA_DIR isn't set"
    exit 1
endif

set path_to_file = $IAS_UNIT_TEST_DATA_DIR/ias_lib/rps
set file_root = histogram_statistics_characterization

diff -q -I "OLI and TIRS" -I "IAS Version:" -I WRS -I "Database schema" $path_to_file/${file_root}_RPS1_01_01.rpt . > /dev/null
set st = $status
if ( $st ) then
    echo "$st ${file_root}_RPS1_01_01.rpt"
endif

diff -q -I "OLI and TIRS" -I "IAS Version:" -I WRS -I "Database schema" $path_to_file/${file_root}_RPS1_05_01.rpt . > /dev/null
set st = $status
if ( $st ) then
    echo "$st ${file_root}_RPS1_05_01.rpt"
endif

diff -q -I "OLI and TIRS" -I "IAS Version: " -I WRS -I "Database schema" $path_to_file/${file_root}_RPS1_08_01.rpt . > /dev/null
set st = $status
if ( $st ) then
    echo "$st ${file_root}_RPS1_08_01.rpt"
endif

exit 0
