#!/bin/csh -f
#
# Name: load_work_orders.csh
#
# Purpose: Loads the work orders for this test case into TRAM using the TRAM
#   mass loader script.
#
# Parameters: One optional "DEV" parameter can be provided to allow running
#   this in development.

if ( $1 == "DEV" ) then
    $SRCROOT/ias_base/tools/dev_tram_loader.pl test_case_013_order.txt tram_loader.output
else
    ../tools/tram_mass_loader.pl test_case_013_order.txt product_request_WOs.txt
endif

exit 0
