package library;

/**
 * Defines the schema that a file is associated with.
 */
public enum LoadedFileSchema {

    /**
     * A file read from the Production database
     */
    PROD,

    /**
     * A file read from, or being written to, the Evaluation database
     */
    EVAL
}
