#ifndef _MTF_H
#define _MTF_H

#define NAME_STRLEN 256

int get_path_row
(
    const char *l0r_file_name_base, /* I: L0R file base name */
    const char *l0r_file_name_dir,  /* I: L0R file directory */
    int *target_path,               /* O: Target WRS Path */
    int *target_row                 /* O: Target WRS Row */
);

void process_odl_error
(
    int status,                     /* I: Error status from IAS ODL library */
    char *field_name,               /* I: Name of ODL field with the error */
    char *source_file               /* I: ODL-format source file */
);

#endif
