#ifndef RESTARTIAS_H
#define RESTARTIAS_H

/******************************************************************************
               Image Assessment System (IAS) Software
 ******************************************************************************
 *
 * Name:   RestartIas.h
 *
 * PURPOSE:
 * This is the declaration file of the RestartIas class which is used to
 * Start individual processes of the IAS.
 *
 *****************************************************************************/

#include "ui_RestartIasBase.h"

class RestartIas: public QWidget, public Ui::RestartIasBase
{
    Q_OBJECT

    public:

        RestartIas(QWidget *parent = 0,
                   Qt::WindowFlags fl = 0);

    public slots:

        void changeDatabase();

    private:

        bool checkDupDirective(QString);

        QString system_id;
};

#endif // RESTARTIAS_H

