#!/bin/csh

echo "GROUP = AVERAGE_BIAS" > AVERAGE_BIAS.cpf

foreach file (AVERAGE_BIAS*dat)
    echo  $file
    if ($file =~ *B08*) then
        set ndet = 494
    else
        set ndet = 247
    endif
    set parm = `echo $file | cut -c 14- |awk -F\. '{print $1}'`
    echo "$parm = (" >> AVERAGE_BIAS.cpf
    od -t f8 $file | awk -v ndet=$ndet 'NF > 1 {printf ("%f,\n", $2); printf ("%f", $3);} NR < ndet {print ","}' >> AVERAGE_BIAS.cpf
    echo ")" >> AVERAGE_BIAS.cpf
end

echo "END_GROUP = AVERAGE_BIAS" >> AVERAGE_BIAS.cpf
echo "END" >> AVERAGE_BIAS.cpf

exit 0

