#!/bin/csh

echo "GROUP = AVERAGE_BIAS" > AVERAGE_BIAS.cpf.swap

foreach file (AVERAGE_BIAS*dat)
    echo  $file
    set parm = `echo $file | cut -c 14- |awk -F\. '{print $1}'`
    echo "$parm = (" >> AVERAGE_BIAS.cpf.swap
    if ($file =~ *B08*) then
        set ndet = 494
        # swap the even/odd detectors in the pan band
        od -t f8 $file | awk -v ndet=$ndet 'NF > 1 {printf ("%f,\n", $3); printf ("%f", $2);} NR < ndet {print ","}' >> AVERAGE_BIAS.cpf.swap
    else
        set ndet = 247
        od -t f8 $file | awk -v ndet=$ndet 'NF > 1 {printf ("%f,\n", $2); printf ("%f", $3);} NR < ndet {print ","}' >> AVERAGE_BIAS.cpf.swap
    endif
    echo ")" >> AVERAGE_BIAS.cpf.swap
end

echo "END_GROUP = AVERAGE_BIAS" >> AVERAGE_BIAS.cpf.swap
echo "END" >> AVERAGE_BIAS.cpf.swap

exit 0

