#!/bin/csh

echo "GROUP = OLI_RELATIVE_GAINS" > OLI_RELATIVE_GAINS.cpf

foreach file (Rel_Gains_B08_SCA02 Rel_Gains_B08_SCA04 Rel_Gains_B08_SCA06 Rel_Gains_B08_SCA08 Rel_Gains_B08_SCA10 Rel_Gains_B08_SCA12 Rel_Gains_B08_SCA14 )
    echo  $file
    echo "$file = (" >> OLI_RELATIVE_GAINS.cpf
    od -t f8 OLI_RELATIVE_GAINS_$file.dat | awk 'NF > 1 {printf ("%f,\n", $2); printf ("%f", $3);} NR < 494 {print ","}' >> OLI_RELATIVE_GAINS.cpf
    echo ")" >> OLI_RELATIVE_GAINS.cpf
end

echo "END_GROUP = OLI_RELATIVE_GAINS" >> OLI_RELATIVE_GAINS.cpf
echo "END" >> OLI_RELATIVE_GAINS.cpf

exit 0

