#!/bin/csh

echo "GROUP = LAMP_RADIANCE" > LAMP_RADIANCE.cpf

foreach file (Effective_Rad_*txt)
    echo  $file
    if ($file =~ *B08*) then
        set ndet = 988
    else
        set ndet = 987
    endif
    set parm = `echo $file | awk -F\. '{print $1}'`
    echo "$parm = (" >> LAMP_RADIANCE.cpf
    awk -v ndet=$ndet 'NF>0 {printf ("%f", $1) } NF>0 && NR<ndet {print ", "}' $file >> LAMP_RADIANCE.cpf
    echo ")" >> LAMP_RADIANCE.cpf
end

echo "END_GROUP = LAMP_RADIANCE" >> LAMP_RADIANCE.cpf
echo "END" >> LAMP_RADIANCE.cpf

exit 0

