#!/bin/csh

set tmpfile = tmp$$
foreach file (/edclxs110/data1/IandT_Release2/cpf/*CPF*)
    set bname = `basename $file`
    echo "Creating new $bname"
    cpfmerge.sh -b L8CPF19990701_19990930.01.new -m $file -g FILE_ATTRIBUTES > $tmpfile
    sed -i -e 's/Description = ".*"/Description = "IAS Release 2"/' $tmpfile
    cpfmerge.sh $tmpfile $file UT1_TIME_PARAMETERS > $bname
end

exit 0
