#!/bin/csh -f

set logfile = insert_wo.log
if ( -e $logfile ) then
    rm -f $logfile
endif
set scripts = (wo1 wo2 wo3 wo4 wo5 wo6)
set return_status = 0
foreach script ($scripts)
    ./$script >>& $logfile
    if ( $status ) then
        echo "Error executing $script"
        set return_status = 1
    endif
end

if ( $return_status == 0 ) then
    echo "work orders successfully inserted"
    cat $logfile
endif
exit $return_status
