#!/bin/bash
################################################################################
# NAME: clean_tc063.sh
#
# DESCRIPTION: Removes evaulation CPFs from the database after running through
# test case 063
################################################################################
../tools/clean_cpf.pl eval_L8CPF20110101_20110331.01

if [ $? -ne 0 ]
then
    echo "Error removing eval_L8CPF20110101_20110331.01"
    exit 1
else
    echo "Removed eval_L8CPF20110101_20110331.01"
fi

../tools/clean_cpf.pl eval_L8CPF20121001_20121231.01
if [ $? -ne 0 ]
then
    echo "Error removing eval_L8CPF20121001_20121231.01"
    exit 1
else
    echo "Removed eval_L8CPF20121001_20121231.01"
fi

echo "Cleanup complete"
exit 0
