#!/bin/csh -f

# Check if the work order is created or not in work order directory.
# Usage ./check_dir.csh <WOID>

# Check if the wo directory is inputted as argument
if ($#argv != 1) then
    echo "Usage: $0 <WOID>"
    exit 0
endif

# Set the wo directory
set woid=$1
set wo_path=$IAS_WO

echo "Checking for the work order directory..."

# Loop to check if the wo directory exists or not
while(1)
    if (-e $wo_path/$woid) then
        echo "Work order $woid created at around: "
        date 
        exit 0;
    endif
    sleep 1
end

exit 0
