/*
 * CpsStatusEnum
 *
 * Defines the status of a calibration parameter set. Applies to any type of
 * CPS file, including CPF and BPF and RLUT
 */

package gov.usgs.ias.cps;

public enum CpsStatusEnum {
    ACTIVE, 
    INACTIVE, 
    UNTESTED, 
    TESTED, 
    VALIDATED, 
    DENIED
}
