
package gov.usgs.ias.services.clients;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for getAllBpfNamesByOrbitRangeRequest complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="getAllBpfNamesByOrbitRangeRequest">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="startOrbit" type="{http://www.w3.org/2001/XMLSchema}long"/>
 *         &lt;element name="endOrbit" type="{http://www.w3.org/2001/XMLSchema}long"/>
 *         &lt;element name="sensor" type="{uri:BpfQueryService}bpfSensorEnum" minOccurs="0"/>
 *         &lt;element name="version" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="status" type="{uri:BpfQueryService}cpsStatusEnum" minOccurs="0"/>
 *         &lt;element name="nearMatch" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "getAllBpfNamesByOrbitRangeRequest", propOrder = {
    "startOrbit",
    "endOrbit",
    "sensor",
    "version",
    "status",
    "nearMatch"
})
public class GetAllBpfNamesByOrbitRangeRequest {

    protected long startOrbit;
    protected long endOrbit;
    @XmlElementRef(name = "sensor", type = JAXBElement.class)
    protected JAXBElement<BpfSensorEnum> sensor;
    @XmlElementRef(name = "version", type = JAXBElement.class)
    protected JAXBElement<Integer> version;
    @XmlElementRef(name = "status", type = JAXBElement.class)
    protected JAXBElement<CpsStatusEnum> status;
    protected Boolean nearMatch;

    /**
     * Gets the value of the startOrbit property.
     * 
     */
    public long getStartOrbit() {
        return startOrbit;
    }

    /**
     * Sets the value of the startOrbit property.
     * 
     */
    public void setStartOrbit(long value) {
        this.startOrbit = value;
    }

    /**
     * Gets the value of the endOrbit property.
     * 
     */
    public long getEndOrbit() {
        return endOrbit;
    }

    /**
     * Sets the value of the endOrbit property.
     * 
     */
    public void setEndOrbit(long value) {
        this.endOrbit = value;
    }

    /**
     * Gets the value of the sensor property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link BpfSensorEnum }{@code >}
     *     
     */
    public JAXBElement<BpfSensorEnum> getSensor() {
        return sensor;
    }

    /**
     * Sets the value of the sensor property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link BpfSensorEnum }{@code >}
     *     
     */
    public void setSensor(JAXBElement<BpfSensorEnum> value) {
        this.sensor = ((JAXBElement<BpfSensorEnum> ) value);
    }

    /**
     * Gets the value of the version property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link Integer }{@code >}
     *     
     */
    public JAXBElement<Integer> getVersion() {
        return version;
    }

    /**
     * Sets the value of the version property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link Integer }{@code >}
     *     
     */
    public void setVersion(JAXBElement<Integer> value) {
        this.version = ((JAXBElement<Integer> ) value);
    }

    /**
     * Gets the value of the status property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link CpsStatusEnum }{@code >}
     *     
     */
    public JAXBElement<CpsStatusEnum> getStatus() {
        return status;
    }

    /**
     * Sets the value of the status property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link CpsStatusEnum }{@code >}
     *     
     */
    public void setStatus(JAXBElement<CpsStatusEnum> value) {
        this.status = ((JAXBElement<CpsStatusEnum> ) value);
    }

    /**
     * Gets the value of the nearMatch property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isNearMatch() {
        return nearMatch;
    }

    /**
     * Sets the value of the nearMatch property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setNearMatch(Boolean value) {
        this.nearMatch = value;
    }

}
