
package gov.usgs.ias.services.clients;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the gov.usgs.ias.services.clients package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _GetAllCpfNamesByDateRangeRequest_QNAME = new QName("uri:BpfQueryService", "getAllCpfNamesByDateRangeRequest");
    private final static QName _GetAllBpfNamesByOrbitRangeResponse_QNAME = new QName("uri:BpfQueryService", "getAllBpfNamesByOrbitRangeResponse");
    private final static QName _GetAllBpfNamesByDateResponse_QNAME = new QName("uri:BpfQueryService", "getAllBpfNamesByDateResponse");
    private final static QName _GetAllBpfNamesByOrbitRange_QNAME = new QName("uri:BpfQueryService", "getAllBpfNamesByOrbitRange");
    private final static QName _GetAllBpfNamesResponse_QNAME = new QName("uri:BpfQueryService", "getAllBpfNamesResponse");
    private final static QName _GetAllBpfNamesByOrbitResponse_QNAME = new QName("uri:BpfQueryService", "getAllBpfNamesByOrbitResponse");
    private final static QName _GetAllBpfNamesByDateRangeResponse_QNAME = new QName("uri:BpfQueryService", "getAllBpfNamesByDateRangeResponse");
    private final static QName _GetAllCpfNamesByDateRequest_QNAME = new QName("uri:BpfQueryService", "getAllCpfNamesByDateRequest");
    private final static QName _IASBaseException_QNAME = new QName("uri:BpfQueryService", "IASBaseException");
    private final static QName _GetAllBpfNamesByDate_QNAME = new QName("uri:BpfQueryService", "getAllBpfNamesByDate");
    private final static QName _GetAllBpfNamesByOrbit_QNAME = new QName("uri:BpfQueryService", "getAllBpfNamesByOrbit");
    private final static QName _GetAllBpfNamesByDateRange_QNAME = new QName("uri:BpfQueryService", "getAllBpfNamesByDateRange");
    private final static QName _GetAllBpfNamesByDateRequest_QNAME = new QName("uri:BpfQueryService", "getAllBpfNamesByDateRequest");
    private final static QName _GetAllBpfNamesByDateRangeRequest_QNAME = new QName("uri:BpfQueryService", "getAllBpfNamesByDateRangeRequest");
    private final static QName _GetAllBpfNamesByOrbitRangeRequest_QNAME = new QName("uri:BpfQueryService", "getAllBpfNamesByOrbitRangeRequest");
    private final static QName _GetAllBpfNamesByOrbitRequest_QNAME = new QName("uri:BpfQueryService", "getAllBpfNamesByOrbitRequest");
    private final static QName _GetAllBpfNames_QNAME = new QName("uri:BpfQueryService", "getAllBpfNames");
    private final static QName _GetAllBpfNamesByOrbitRequestSensor_QNAME = new QName("", "sensor");
    private final static QName _GetAllBpfNamesByOrbitRequestStatus_QNAME = new QName("", "status");
    private final static QName _GetAllBpfNamesByOrbitRequestVersion_QNAME = new QName("", "version");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: gov.usgs.ias.services.clients
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link IASBaseException }
     * 
     */
    public IASBaseException createIASBaseException() {
        return new IASBaseException();
    }

    /**
     * Create an instance of {@link GetAllBpfNamesRequest }
     * 
     */
    public GetAllBpfNamesRequest createGetAllBpfNamesRequest() {
        return new GetAllBpfNamesRequest();
    }

    /**
     * Create an instance of {@link GetAllBpfNamesByDateRangeResponse }
     * 
     */
    public GetAllBpfNamesByDateRangeResponse createGetAllBpfNamesByDateRangeResponse() {
        return new GetAllBpfNamesByDateRangeResponse();
    }

    /**
     * Create an instance of {@link GetAllBpfNamesResponse }
     * 
     */
    public GetAllBpfNamesResponse createGetAllBpfNamesResponse() {
        return new GetAllBpfNamesResponse();
    }

    /**
     * Create an instance of {@link GetAllBpfNamesByOrbitRange }
     * 
     */
    public GetAllBpfNamesByOrbitRange createGetAllBpfNamesByOrbitRange() {
        return new GetAllBpfNamesByOrbitRange();
    }

    /**
     * Create an instance of {@link GetAllBpfNamesByDateResponse }
     * 
     */
    public GetAllBpfNamesByDateResponse createGetAllBpfNamesByDateResponse() {
        return new GetAllBpfNamesByDateResponse();
    }

    /**
     * Create an instance of {@link GetAllBpfNamesByDateRequest }
     * 
     */
    public GetAllBpfNamesByDateRequest createGetAllBpfNamesByDateRequest() {
        return new GetAllBpfNamesByDateRequest();
    }

    /**
     * Create an instance of {@link GetAllBpfNamesByDateRange }
     * 
     */
    public GetAllBpfNamesByDateRange createGetAllBpfNamesByDateRange() {
        return new GetAllBpfNamesByDateRange();
    }

    /**
     * Create an instance of {@link GetAllBpfNamesByDate }
     * 
     */
    public GetAllBpfNamesByDate createGetAllBpfNamesByDate() {
        return new GetAllBpfNamesByDate();
    }

    /**
     * Create an instance of {@link GetAllBpfNamesByOrbitResponse }
     * 
     */
    public GetAllBpfNamesByOrbitResponse createGetAllBpfNamesByOrbitResponse() {
        return new GetAllBpfNamesByOrbitResponse();
    }

    /**
     * Create an instance of {@link CpsSummary }
     * 
     */
    public CpsSummary createCpsSummary() {
        return new CpsSummary();
    }

    /**
     * Create an instance of {@link GetAllBpfNamesByOrbitRequest }
     * 
     */
    public GetAllBpfNamesByOrbitRequest createGetAllBpfNamesByOrbitRequest() {
        return new GetAllBpfNamesByOrbitRequest();
    }

    /**
     * Create an instance of {@link GetAllBpfNamesByOrbit }
     * 
     */
    public GetAllBpfNamesByOrbit createGetAllBpfNamesByOrbit() {
        return new GetAllBpfNamesByOrbit();
    }

    /**
     * Create an instance of {@link GetAllBpfNamesByDateRangeRequest }
     * 
     */
    public GetAllBpfNamesByDateRangeRequest createGetAllBpfNamesByDateRangeRequest() {
        return new GetAllBpfNamesByDateRangeRequest();
    }

    /**
     * Create an instance of {@link GetAllCpfNamesByDateRangeRequest }
     * 
     */
    public GetAllCpfNamesByDateRangeRequest createGetAllCpfNamesByDateRangeRequest() {
        return new GetAllCpfNamesByDateRangeRequest();
    }

    /**
     * Create an instance of {@link GetAllBpfNamesByOrbitRangeRequest }
     * 
     */
    public GetAllBpfNamesByOrbitRangeRequest createGetAllBpfNamesByOrbitRangeRequest() {
        return new GetAllBpfNamesByOrbitRangeRequest();
    }

    /**
     * Create an instance of {@link GetAllCpfNamesByDateRequest }
     * 
     */
    public GetAllCpfNamesByDateRequest createGetAllCpfNamesByDateRequest() {
        return new GetAllCpfNamesByDateRequest();
    }

    /**
     * Create an instance of {@link GetAllBpfNames }
     * 
     */
    public GetAllBpfNames createGetAllBpfNames() {
        return new GetAllBpfNames();
    }

    /**
     * Create an instance of {@link GetAllBpfNamesByOrbitRangeResponse }
     * 
     */
    public GetAllBpfNamesByOrbitRangeResponse createGetAllBpfNamesByOrbitRangeResponse() {
        return new GetAllBpfNamesByOrbitRangeResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAllCpfNamesByDateRangeRequest }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "uri:BpfQueryService", name = "getAllCpfNamesByDateRangeRequest")
    public JAXBElement<GetAllCpfNamesByDateRangeRequest> createGetAllCpfNamesByDateRangeRequest(GetAllCpfNamesByDateRangeRequest value) {
        return new JAXBElement<GetAllCpfNamesByDateRangeRequest>(_GetAllCpfNamesByDateRangeRequest_QNAME, GetAllCpfNamesByDateRangeRequest.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAllBpfNamesByOrbitRangeResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "uri:BpfQueryService", name = "getAllBpfNamesByOrbitRangeResponse")
    public JAXBElement<GetAllBpfNamesByOrbitRangeResponse> createGetAllBpfNamesByOrbitRangeResponse(GetAllBpfNamesByOrbitRangeResponse value) {
        return new JAXBElement<GetAllBpfNamesByOrbitRangeResponse>(_GetAllBpfNamesByOrbitRangeResponse_QNAME, GetAllBpfNamesByOrbitRangeResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAllBpfNamesByDateResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "uri:BpfQueryService", name = "getAllBpfNamesByDateResponse")
    public JAXBElement<GetAllBpfNamesByDateResponse> createGetAllBpfNamesByDateResponse(GetAllBpfNamesByDateResponse value) {
        return new JAXBElement<GetAllBpfNamesByDateResponse>(_GetAllBpfNamesByDateResponse_QNAME, GetAllBpfNamesByDateResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAllBpfNamesByOrbitRange }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "uri:BpfQueryService", name = "getAllBpfNamesByOrbitRange")
    public JAXBElement<GetAllBpfNamesByOrbitRange> createGetAllBpfNamesByOrbitRange(GetAllBpfNamesByOrbitRange value) {
        return new JAXBElement<GetAllBpfNamesByOrbitRange>(_GetAllBpfNamesByOrbitRange_QNAME, GetAllBpfNamesByOrbitRange.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAllBpfNamesResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "uri:BpfQueryService", name = "getAllBpfNamesResponse")
    public JAXBElement<GetAllBpfNamesResponse> createGetAllBpfNamesResponse(GetAllBpfNamesResponse value) {
        return new JAXBElement<GetAllBpfNamesResponse>(_GetAllBpfNamesResponse_QNAME, GetAllBpfNamesResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAllBpfNamesByOrbitResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "uri:BpfQueryService", name = "getAllBpfNamesByOrbitResponse")
    public JAXBElement<GetAllBpfNamesByOrbitResponse> createGetAllBpfNamesByOrbitResponse(GetAllBpfNamesByOrbitResponse value) {
        return new JAXBElement<GetAllBpfNamesByOrbitResponse>(_GetAllBpfNamesByOrbitResponse_QNAME, GetAllBpfNamesByOrbitResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAllBpfNamesByDateRangeResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "uri:BpfQueryService", name = "getAllBpfNamesByDateRangeResponse")
    public JAXBElement<GetAllBpfNamesByDateRangeResponse> createGetAllBpfNamesByDateRangeResponse(GetAllBpfNamesByDateRangeResponse value) {
        return new JAXBElement<GetAllBpfNamesByDateRangeResponse>(_GetAllBpfNamesByDateRangeResponse_QNAME, GetAllBpfNamesByDateRangeResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAllCpfNamesByDateRequest }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "uri:BpfQueryService", name = "getAllCpfNamesByDateRequest")
    public JAXBElement<GetAllCpfNamesByDateRequest> createGetAllCpfNamesByDateRequest(GetAllCpfNamesByDateRequest value) {
        return new JAXBElement<GetAllCpfNamesByDateRequest>(_GetAllCpfNamesByDateRequest_QNAME, GetAllCpfNamesByDateRequest.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IASBaseException }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "uri:BpfQueryService", name = "IASBaseException")
    public JAXBElement<IASBaseException> createIASBaseException(IASBaseException value) {
        return new JAXBElement<IASBaseException>(_IASBaseException_QNAME, IASBaseException.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAllBpfNamesByDate }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "uri:BpfQueryService", name = "getAllBpfNamesByDate")
    public JAXBElement<GetAllBpfNamesByDate> createGetAllBpfNamesByDate(GetAllBpfNamesByDate value) {
        return new JAXBElement<GetAllBpfNamesByDate>(_GetAllBpfNamesByDate_QNAME, GetAllBpfNamesByDate.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAllBpfNamesByOrbit }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "uri:BpfQueryService", name = "getAllBpfNamesByOrbit")
    public JAXBElement<GetAllBpfNamesByOrbit> createGetAllBpfNamesByOrbit(GetAllBpfNamesByOrbit value) {
        return new JAXBElement<GetAllBpfNamesByOrbit>(_GetAllBpfNamesByOrbit_QNAME, GetAllBpfNamesByOrbit.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAllBpfNamesByDateRange }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "uri:BpfQueryService", name = "getAllBpfNamesByDateRange")
    public JAXBElement<GetAllBpfNamesByDateRange> createGetAllBpfNamesByDateRange(GetAllBpfNamesByDateRange value) {
        return new JAXBElement<GetAllBpfNamesByDateRange>(_GetAllBpfNamesByDateRange_QNAME, GetAllBpfNamesByDateRange.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAllBpfNamesByDateRequest }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "uri:BpfQueryService", name = "getAllBpfNamesByDateRequest")
    public JAXBElement<GetAllBpfNamesByDateRequest> createGetAllBpfNamesByDateRequest(GetAllBpfNamesByDateRequest value) {
        return new JAXBElement<GetAllBpfNamesByDateRequest>(_GetAllBpfNamesByDateRequest_QNAME, GetAllBpfNamesByDateRequest.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAllBpfNamesByDateRangeRequest }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "uri:BpfQueryService", name = "getAllBpfNamesByDateRangeRequest")
    public JAXBElement<GetAllBpfNamesByDateRangeRequest> createGetAllBpfNamesByDateRangeRequest(GetAllBpfNamesByDateRangeRequest value) {
        return new JAXBElement<GetAllBpfNamesByDateRangeRequest>(_GetAllBpfNamesByDateRangeRequest_QNAME, GetAllBpfNamesByDateRangeRequest.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAllBpfNamesByOrbitRangeRequest }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "uri:BpfQueryService", name = "getAllBpfNamesByOrbitRangeRequest")
    public JAXBElement<GetAllBpfNamesByOrbitRangeRequest> createGetAllBpfNamesByOrbitRangeRequest(GetAllBpfNamesByOrbitRangeRequest value) {
        return new JAXBElement<GetAllBpfNamesByOrbitRangeRequest>(_GetAllBpfNamesByOrbitRangeRequest_QNAME, GetAllBpfNamesByOrbitRangeRequest.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAllBpfNamesByOrbitRequest }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "uri:BpfQueryService", name = "getAllBpfNamesByOrbitRequest")
    public JAXBElement<GetAllBpfNamesByOrbitRequest> createGetAllBpfNamesByOrbitRequest(GetAllBpfNamesByOrbitRequest value) {
        return new JAXBElement<GetAllBpfNamesByOrbitRequest>(_GetAllBpfNamesByOrbitRequest_QNAME, GetAllBpfNamesByOrbitRequest.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAllBpfNames }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "uri:BpfQueryService", name = "getAllBpfNames")
    public JAXBElement<GetAllBpfNames> createGetAllBpfNames(GetAllBpfNames value) {
        return new JAXBElement<GetAllBpfNames>(_GetAllBpfNames_QNAME, GetAllBpfNames.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BpfSensorEnum }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "sensor", scope = GetAllBpfNamesByOrbitRequest.class)
    public JAXBElement<BpfSensorEnum> createGetAllBpfNamesByOrbitRequestSensor(BpfSensorEnum value) {
        return new JAXBElement<BpfSensorEnum>(_GetAllBpfNamesByOrbitRequestSensor_QNAME, BpfSensorEnum.class, GetAllBpfNamesByOrbitRequest.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CpsStatusEnum }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "status", scope = GetAllBpfNamesByOrbitRequest.class)
    public JAXBElement<CpsStatusEnum> createGetAllBpfNamesByOrbitRequestStatus(CpsStatusEnum value) {
        return new JAXBElement<CpsStatusEnum>(_GetAllBpfNamesByOrbitRequestStatus_QNAME, CpsStatusEnum.class, GetAllBpfNamesByOrbitRequest.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Integer }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "version", scope = GetAllBpfNamesByOrbitRequest.class)
    public JAXBElement<Integer> createGetAllBpfNamesByOrbitRequestVersion(Integer value) {
        return new JAXBElement<Integer>(_GetAllBpfNamesByOrbitRequestVersion_QNAME, Integer.class, GetAllBpfNamesByOrbitRequest.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BpfSensorEnum }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "sensor", scope = GetAllBpfNamesByDateRangeRequest.class)
    public JAXBElement<BpfSensorEnum> createGetAllBpfNamesByDateRangeRequestSensor(BpfSensorEnum value) {
        return new JAXBElement<BpfSensorEnum>(_GetAllBpfNamesByOrbitRequestSensor_QNAME, BpfSensorEnum.class, GetAllBpfNamesByDateRangeRequest.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CpsStatusEnum }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "status", scope = GetAllCpfNamesByDateRangeRequest.class)
    public JAXBElement<CpsStatusEnum> createGetAllCpfNamesByDateRangeRequestStatus(CpsStatusEnum value) {
        return new JAXBElement<CpsStatusEnum>(_GetAllBpfNamesByOrbitRequestStatus_QNAME, CpsStatusEnum.class, GetAllCpfNamesByDateRangeRequest.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Integer }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "version", scope = GetAllCpfNamesByDateRangeRequest.class)
    public JAXBElement<Integer> createGetAllCpfNamesByDateRangeRequestVersion(Integer value) {
        return new JAXBElement<Integer>(_GetAllBpfNamesByOrbitRequestVersion_QNAME, Integer.class, GetAllCpfNamesByDateRangeRequest.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BpfSensorEnum }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "sensor", scope = GetAllBpfNamesByDateRequest.class)
    public JAXBElement<BpfSensorEnum> createGetAllBpfNamesByDateRequestSensor(BpfSensorEnum value) {
        return new JAXBElement<BpfSensorEnum>(_GetAllBpfNamesByOrbitRequestSensor_QNAME, BpfSensorEnum.class, GetAllBpfNamesByDateRequest.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BpfSensorEnum }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "sensor", scope = GetAllBpfNamesByOrbitRangeRequest.class)
    public JAXBElement<BpfSensorEnum> createGetAllBpfNamesByOrbitRangeRequestSensor(BpfSensorEnum value) {
        return new JAXBElement<BpfSensorEnum>(_GetAllBpfNamesByOrbitRequestSensor_QNAME, BpfSensorEnum.class, GetAllBpfNamesByOrbitRangeRequest.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CpsStatusEnum }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "status", scope = GetAllBpfNamesByOrbitRangeRequest.class)
    public JAXBElement<CpsStatusEnum> createGetAllBpfNamesByOrbitRangeRequestStatus(CpsStatusEnum value) {
        return new JAXBElement<CpsStatusEnum>(_GetAllBpfNamesByOrbitRequestStatus_QNAME, CpsStatusEnum.class, GetAllBpfNamesByOrbitRangeRequest.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Integer }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "version", scope = GetAllBpfNamesByOrbitRangeRequest.class)
    public JAXBElement<Integer> createGetAllBpfNamesByOrbitRangeRequestVersion(Integer value) {
        return new JAXBElement<Integer>(_GetAllBpfNamesByOrbitRequestVersion_QNAME, Integer.class, GetAllBpfNamesByOrbitRangeRequest.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CpsStatusEnum }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "status", scope = GetAllCpfNamesByDateRequest.class)
    public JAXBElement<CpsStatusEnum> createGetAllCpfNamesByDateRequestStatus(CpsStatusEnum value) {
        return new JAXBElement<CpsStatusEnum>(_GetAllBpfNamesByOrbitRequestStatus_QNAME, CpsStatusEnum.class, GetAllCpfNamesByDateRequest.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Integer }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "version", scope = GetAllCpfNamesByDateRequest.class)
    public JAXBElement<Integer> createGetAllCpfNamesByDateRequestVersion(Integer value) {
        return new JAXBElement<Integer>(_GetAllBpfNamesByOrbitRequestVersion_QNAME, Integer.class, GetAllCpfNamesByDateRequest.class, value);
    }

}
