#ifndef GET_PARAMETERS_H
#define GET_PARAMETERS_H

int get_parameters
(
    const char * arg,       /* I: Command line argument */
    int * satNum,           /* O: Satellite number */
    char workOrderId[IAS_WORKORDER_ID_SIZE],/* O: IAS work order ID */
    char pathCpf[PATH_MAX], /* O: Path of CPF */
    char pathIn[PATH_MAX],  /* O: Path of input L0R image */
    char pathOmf[PATH_MAX], /* O: Path of OMF */
    int * framesPerSegment, /* O: Number of frames per segment */
    int * store_in_database,/* O: Database flag */
    int * reportsRequested  /* O: List of report flags */
);

IAS_SENSOR_ID get_sensor(void);

const char *get_rlut_filename(void);

#endif
