#!/bin/csh -f
set exit_status = 0

set dir = $IAS_UNIT_TEST_DATA_DIR/ias/rps/toolkit/characterize_oli_snr/load
foreach fullfile ($dir/*.ldr)
    set file = `basename $fullfile`
    echo "Loading file $file"
    sqlldr $IAS_DB_L8_OLITIRS $fullfile log=./$file.log > /dev/null
    if ( $status ) then
        echo "ERROR: Loading file $file"
        set exit_status = 1
    endif
end

exit $exit_status
