#ifndef GET_RAMP_DATA_H
#define GET_RAMP_DATA_H

int get_ramp_data
(
    const char *ramp_filename, /* I: Full path to RAMP DEM data file */
    const char *wo_dir,      /* I: Target work order directory */
    const char *wo_dem_name, /* I: Name of DEM data file in the WO directory */
    short *max_elevation,    /* O: Maximum RAMP DEM elevation */
    short *min_elevation     /* O: Minimum RAMP DEM elevation */
);

#endif
