#ifndef LOAD_GLS_H
#define LOAD_GLS_H

#include "gtopo30.h"

                           /* Function prototype */
int load_gls
(
    const char *dem_dir,               /* I: DEM data directory */
    const char *cell_name,             /* I: Base name of DEM data tile */
    GTOPO30_CELL *cell,                /* O: DEM data */
    int *missing_tiles                 /* O: Count of missing tiles */
);


#endif
