--
-- This script performs two operations.  First it generates an sql script to
-- extract data from the given table.  Second it generates an sql loader
-- script which is then saved in the code repository at a leter time.  The
-- calling script is used to perform clean up of any temporary files.
--
-- Setup so certain stuff is not output to the files.
--
set pagesize 0
set heading off
set wrap off
set echo off
set trimout off
set trimspool on
set termout off
set feedback off
set linesize 2000
set space 0
set colsep |
--
-- Delete the work orders.
--
spool update_records_sql_Rel.log
spool off
update work_orders
set state = 'RA'
where work_order_id like 'D2050%';
commit;
update work_orders
set state = 'RC'
where work_order_id like 'D2051%';
commit;
exit
