
#ifndef _CALCULATE_POINT_WEIGHTS_H_
#define _CALCULATE_POINT_WEIGHTS_H_

#include "focal_plane.h"   /* CORR_PT_INFO definition */

void calculate_point_weights
(
    double weight,       /* I: Constant weight associated with each point */
    int corr_points,     /* I: Number of focal plane correlation points */
    CORR_PT_INFO *fp_corr_pts_ptr /* I/O: Focal plane correlation points */
);

#endif
