#ifndef _FILTER_OUTLIERS_H_
#define _FILTER_OUTLIERS_H_

#include "focal_plane.h"  /* CORR_PT_INFO definition */

int filter_outliers
(
    int cells_per_sca,        /* I: Number of cells in an SCA */
    double outlier_tolerance, /* I: Outlier tolerance */
    int corr_points,          /* I: Number of correlation points */
    CORR_PT_INFO *corr_pts_ptr /* I/O: Correlation points */
);

#endif
