#ifndef _UPDATE_ALIGNMENT_PARAMETERS_H_
#define _UPDATE_ALIGNMENT_PARAMETERS_H_

#include "save_to_database.h"  /* Structures to send to the database */

int update_alignment_parameters
(
    const double talign[3],   /* I: TIRS-to-OLI alignment corrections */
    double acs2tirs[3][3],    /* I: ACS to TIRS rotation matrix */
    double acs2oli[3][3],     /* I: ACS to OLI rotation matrix */
    double tirs2oli_new[3][3], /* O: Updated TIRS to OLI rotation matrix */
    struct main_db_save_info* main_db_save /* O: top-level data for DB */
);

#endif
