#ifndef _CALC_WINDOW_CORNERS_H_
#define _CALC_WINDOW_CORNERS_H_

#include "ias_structures.h" /* CORNERS structure definition */

void calc_window_corners 
(
    const struct IAS_CORNERS *known_corners_ptr,     
       /* I: known corner line/sample coordinates */
    const struct IAS_CORNERS *known_corners_proj_ptr, 
       /* I: known corner projection coordinates */
    const struct IAS_CORNERS *window_corners_ptr,  
       /* I: sub-window line/sample coordinates */
    struct IAS_CORNERS *window_corners_proj_ptr       
       /* O: sub-window projection coordinates */
);

#endif
