#ifndef _GET_CPF_PARAMETERS_H_
#define _GET_CPF_PARAMETERS_H_

#include "ias_cpf.h"

int read_cpf_parameters
(
    const char *cpf_filename,      /* I: CPF filename */
    int radiance_rescale_flag      /* I: flag to signal reading cpf
                                          for rescale factors */
);

double get_radiance_rescale_gain(int band_index);
double get_radiance_rescale_bias(int band_index);
const struct IAS_CPF_EARTH_CONSTANTS *get_cpf_earth_constants();
void free_resample_cpf();

#endif /* _GET_CPF_PARAMETERS_H_ */

