#include "akima.h"
#include "cgreen/cgreen.h"

Ensure test1()
{
    double y[6] = {1.0, 1.0, 1.0, 1.0, 1.0, 1.0};
    double x[6] = {1.0, 2.0, 3.0, 4.0, 5.0, 6.0};
    double result = akima(y, x, 0.0);
    assert_double_equal(result, 1.0);
    result = akima(y, x, 0.5);
    assert_double_equal(result, 1.0);

    double y2[6] = {1.0, 2.0, 3.0, 4.0, 5.0, 6.0};
    result = akima(y2, x, 0.0);
    assert_double_equal(result, 3.0);
    result = akima(y2, x, 0.5);
    assert_double_equal(result, 3.5);
}

int main(int argc, char **argv)
{
    TestSuite *suite = create_test_suite();
    add_test(suite, test1);
    if (argc > 1)
        return run_single_test(suite, argv[1], create_text_reporter());

    return run_test_suite(suite, create_text_reporter());
}

