#ifndef TRANSFORM_WINDOW_H
#define TRANSFORM_WINDOW_H

int calculate_input_tile_to_do
(
    const IAS_GRID_BAND_TYPE *grid_band_ptr, /* I: grid to use */
    INPUT_IMAGE *input_img, /* I: input image to use (for nl, ns) */
    int terrain_flag,       /* I: terrain correction flag (1=correct terrain) */
    IAS_IMAGE *dem_img,     /* I: DEM image for terrain correction */
    int max_line_offset,        /* I: maximum even/odd line offset */
    const TILE_TYPE *out_tile,  /* I: output space tile to do */
    TILE_TYPE *in_tile          /* O: input space tile */
);

#endif
