#ifndef UPDATE_OMF_H
#define UPDATE_OMF_H

/***************************************************************************
 NAME:                     update_omf

 PURPOSE:   Writes the generated Grid filename to the OMF
 
 RETURNS:   SUCCESS or ERROR

****************************************************************************/
int update_omf
(
    const char *omf_filename,       /* I: Name of OMF                       */
    char *l1g_image_filename,       /* I: Name of L1G image                 */
    char *ang_filename,             /* I: Angle coefficient filename        */
    char *sca_overlap_char_filename,/* I: SCA overlap char filename         */
    int processing_pass             /* I: Number of WO processing flow pass */
);

#endif /* UPDATE_OMF_H */
