#ifndef UPDATE_OMF_H
#define UPDATE_OMF_H

int update_omf
(
    const char pathOmf[],          /* I: Path to the OMF */
    char pathOut[],                /* I: Path quality band image */
    double cloudScore,             /* I: Cloud score for entire image */
    double snowIceScore,           /* I: Snow/Ice score for entire image */
    double cloudCoverLandScore,    /* I: Land cloud cover score */
    int band_saturation_count[IAS_MAX_NBANDS] /* I: Band saturation counts */
);

#endif
