#ifndef READ_L0R_METADATA_H
#define READ_L0R_METADATA_H

typedef struct l0r_metadata
{
    int subinterval_frames;
    int subinterval_start_frame;
    int subinterval_end_frame;
    int target_scene_frames;
    int target_scene_start_frame;
    int target_scene_end_frame;
} L0R_METADATA;

int read_l0r_metadata
(
    const char *l0r_filename,   /* I: L0R filename */
    const char *scene_id,       /* I: Scene ID of the target scene */
    L0R_METADATA *l0r_metadata  /* O: Metadata read from the file */
);

#endif
