#ifndef WRITE_MASK_IMAGE_H
#define WRITE_MASK_IMAGE_H


#include "ias_pixel_mask.h"


int write_single_mask_image_file
(
    const IAS_PIXEL_MASK_IO *pm_file,      /* I: Open pixel mask file */
    const char *L1R_filename,              /* I: Name of output L1R image
                                              file */
    int band_number,                       /* I: Band number */
    int sca_number                         /* I: SCA number */
);

int write_mask_image_file_by_band
(
    const IAS_PIXEL_MASK_IO *pm_file,      /* I: Open pixel mask file */
    const char *L1R_filename,              /* I: Name of L1R image file */
    int band_number                        /* I: Band number specified on
                                              command line */
);

int write_mask_image_file_by_sca
(
    const IAS_PIXEL_MASK_IO *pm_file,      /* I: Open pixel mask file */
    const char *L1R_filename,              /* I: Name of L1R image file */
    int sca_number                         /* I: SCA number to process */
);


#endif
