#!/usr/bin/perl -w
#
# removes message queues owned by the operator of this script
#
# command line usage: remove_message_queues.pl
#
use strict;
# iterate through a list of all message queues with the ipcs command
foreach (`ipcs -q`)
{
    # split the output into variables
    my ($key, $id, $owner, $perms, $bytes, $messages) = split;
    # see if the queue is owned by the operator
    if ( (defined $owner) && ($owner eq $ENV{'USER'}) )
    {
        print "removing message queue $id for $owner\n";
        # call the ipcrm command to remove the message queue
        system "ipcrm", "-q", $id ;
    }
}
exit 0;

