#ifndef IAS_CONFIGURE_INSTANCES_H
#define IAS_CONFIGURE_INSTANCES_H

/******************************************************************************
 *
 * Name: IASConfigureInstances
 *
 * PURPOSE: Used to enable/disable the processing instances.
 *
 *****************************************************************************/
/* Qt Includes */
#include <QtCore>
#include <QtGui>

/* Local Includes */
#include "ui_IASConfigureInstancesBase.h"


class IASConfigureInstances : public QDialog, public Ui::IASConfigureInstancesBase
{
    Q_OBJECT

    public:

        IASConfigureInstances(QWidget* parent = 0, Qt::WindowFlags fl = 0);

    protected slots:

        void updateDbase(); // Update the processing_instances

    private:

        int instance_count;
};

#endif /* IAS_CONFIGURE_INSTANCES_H */
