
#ifndef IASQTSYSTEMSTATUS_H
#define IASQTSYSTEMSTATUS_H

/* Qt Includes */
#include <QtCore>

/*****************************************************************************
    Name: iasQtSystemStatus.h

    Purpose: This class is used for determining the status of the IAS/LPGS
             processing systems.  It is designed to house a group of static
             methods that provide the functionality needed to determine the
             system status.
 ****************************************************************************/
class SystemStatus
{
    public:

        static bool isTaskRunning(const QString &task,
                                  const QString &processId);
};

#endif /* IASQTSYSTEMSTATUS_H */

