#!/usr/bin/perl

# perl script to generate the abs gain data block for new oli/tirs cpf.
# the values created are place holders only. 
#

$pre_ag = "Gain_Trend_Slope";
$post_ag = "Gain_Trend_Intercept";

open (FN, '> abs_gains.txt');

printf FN "GROUP = ABSOLUTE_GAINS\n";
printf FN "  Gain_Trend_Date = \"2009-01-01T00:00:00\"\n";
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4)
    {
           $my_string = sprintf("  %s_SCA%02d = (1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0)\n", 
                               $pre_ag, $s);
           printf FN "$my_string";
    }
    else
    {
           $my_string = sprintf("  %s_SCA%02d = (1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0)\n", $pre_ag, $s);
           printf FN "$my_string";
     }
}
     
# to Post values 
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4)
    {
           $my_string = sprintf("  %s_SCA%02d = (1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0)\n", 
                               $post_ag, $s);
           printf FN "$my_string";
    }
    else
    {
           $my_string = sprintf("  %s_SCA%02d = (1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0)\n", $post_ag, $s);
           printf FN "$my_string";
     }
}
     

# average gains
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4)
    {
           $my_string = sprintf("  %s_SCA%02d = (1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0)\n", 
                               $ag, $s);
           printf FN "$my_string";
    }
    else
    {
           $my_string = sprintf("  %s_SCA%02d = (1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0)\n", $ag, $s);
           printf FN "$my_string";
     }
}
printf FN "END_GROUP = ABSOLUTE_GAINS\n";
close FN;
