# perl script to generate the average gain data groups, pre, post, and current
# for the new oli/tirs cpf. the values created are place holders only. 
#
#!/usr/bin/perl

$pre_ag = "Pre_Avg_Gain";
$post_ag = "Post_Avg_Gain";
$ag = "Avg_Gain";

open (FN, '> avg_gains.txt');

printf FN "GROUP = AVERAGE_GAINS\n";
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4)
    {
           $my_string = sprintf("  %s_SCA%02d = (1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0)\n", 
                               $pre_ag, $s);
           printf FN "$my_string";
    }
    else
    {
           $my_string = sprintf("  %s_SCA%02d = (1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0)\n", $pre_ag, $s);
           printf FN "$my_string";
     }
}
     
# to Post values 
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4)
    {
           $my_string = sprintf("  %s_SCA%02d = (1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0)\n", 
                               $post_ag, $s);
           printf FN "$my_string";
    }
    else
    {
           $my_string = sprintf("  %s_SCA%02d = (1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0)\n", $post_ag, $s);
           printf FN "$my_string";
     }
}
     

# average gains
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4)
    {
           $my_string = sprintf("  %s_SCA%02d = (1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0)\n", 
                               $ag, $s);
           printf FN "$my_string";
    }
    else
    {
           $my_string = sprintf("  %s_SCA%02d = (1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0)\n", $ag, $s);
           printf FN "$my_string";
     }
}
printf FN "END_GROUP = AVERAGE_GAINS\n";
close FN;
