# perl script to generate the band to band threshold data group for the new
# oli/tirs cpf. The values created are place holders only.
#
#!/usr/bin/perl

$b2b = "B2B_Trend_Threshold";

open (FN, '> b2b.txt');

printf FN "GROUP = B2B\n";
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4)
    {
           $my_string = sprintf("  %s_SCA%02d = (1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0)\n", 
                               $b2b, $s);
           printf FN "$my_string";
    }
    else
    {
           $my_string = sprintf("  %s_SCA%02d = (1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0)\n", $b2b, $s);
           printf FN "$my_string";
     }
}
     
printf FN "END_GROUP = B2B\n";
close FN;
