#perl script to generate the along and across focal plane model for the
# focal plane data group.  The values created are place holders only.

#!/usr/bin/perl

$along = "Along_FP_Model";
$across = "Across_FP_Model";
open (FN, '> fp_model.txt');

printf FN "GROUP = FOCAL_PLANE\n";
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4)
    {
       for ($b = 1; $b < 12; $b++)
       {
           $my_string = sprintf("  %s_B%02d_SCA%02d = (0.0, 0.0, 0.0)\n", 
                               $along, $b, $s);
           printf FN "$my_string";
       }
    }
    else
    {
       for ($b = 1; $b < 10; $b++)
       {
              $my_string = sprintf("  %s_B%02d_SCA%02d = (0.0, 0.0, 0.0)\n", 
                                  $along, $b, $s);
              printf FN "$my_string";
       }
     }
}
     
# to accross track now */
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4)
    {
       for ($b = 1; $b < 12; $b++)
       {
           $my_string = sprintf("  %s_B%02d_SCA%02d = (0.0, 0.0, 0.0)\n", 
                               $across, $b, $s);
           printf FN "$my_string";
       }
    }
    else
    {
       for ($b = 1; $b < 10; $b++)
       {
              $my_string = sprintf("  %s_B%02d_SCA%02d = (0.0, 0.0, 0.0)\n", 
                                  $across, $b, $s);
              printf FN "$my_string";
       }
     }
}
printf FN "END_GROUP = FOCAL_PLANE\n";
close FN;
