#!/usr/bin/perl

# perl script to generate the odd/even offset data group in the oli/tirs
# cpf.  The values created are place holders only.

$even = "Max_Even_Offsets";
$odd = "Max_Odd_Offsets";

open (FN, '> oe_offsets.txt');

printf FN "GROUP = ODD_EVEN_OFFSETS\n";
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4)
    {
           $my_string = sprintf("  %s_SCA%02d = (1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0)\n", 
                               $even, $s);
           printf FN "$my_string";
    }
    else
    {
           $my_string = sprintf("  %s_SCA%02d = (1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0)\n", $even, $s);
           printf FN "$my_string";
     }
}
     
# to odd values 
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4)
    {
           $my_string = sprintf("  %s_SCA%02d = (0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0)\n", 
                               $odd, $s);
           printf FN "$my_string";
    }
    else
    {
           $my_string = sprintf("  %s_SCA%02d = (0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0)\n", $odd, $s);
           printf FN "$my_string";
     }
}
printf FN "END_GROUP = ODD_EVEN_OFFSETS\n";
close FN;
