#!/bin/csh -f

if ( ! $?IAS_UNIT_TEST_DATA_DIR ) then
    echo "IAS_UNIT_TEST_DATA_DIR isn't set"
    exit 1
endif

set cpf_file = "./L8CPF20090101_20090331.01"
set cpf_file_loc = "$IAS_UNIT_TEST_DATA_DIR/ias_lib/cpf"
set patch_file = "./L8CPF20090101_20090331.01.patch"

rm -f $cpf_file
cp $cpf_file_loc/$cpf_file .

if (($#argv == 1) && ($1 == "tirs")) then
    patch --quiet $cpf_file $patch_file
endif

exit 0
