#ifndef IAS_RPS_DROPPED_FRAME_CHARACTERIZATION_H
#define IAS_RPS_DROPPED_FRAME_CHARACTERIZATION_H


int ias_rps_dropped_frame_characterization
(
    const void *l0r_frame_headers,       /* I: Array of L0R frame headers
                                            for all video data lines */
    IAS_SENSOR_ID sensor_id,             /* I: Sensor identifier */
    int  band_number,                    /* I: 1-based band number */
    int  number_detectors,               /* I: # of detectors per SCA */
    int  number_frames,                  /* I: Number of lines of image
                                            data */
    IAS_PIXEL_MASK  *pixel_mask          /* I: Pixel mask (could be
                                            populated with other artifact
                                            information)
                                            O: Pixel mask populated with
                                            dropped frame locations */
);

#endif
