#ifndef IAS_RPS_LOOKUP_RESPONSE_LINEARIZATION_H
#define IAS_RPS_LOOKUP_RESPONSE_LINEARIZATION_H

#include "ias_rlut.h"

int ias_rps_lookup_response_linearization
(
    float *data_buffer,            /* I/O: On input it is the DN from sensor
                                      On output it is the adjusted DN
                                      with non-linearity compensation */
    const IAS_RLUT_LOOKUP_TABLE *params,
                                   /* I: Array of lookup linearization 
                                      parameters for all detectors in the 
                                      current band/SCA */
    int number_lines               /* I: Number of lines for this SCA */
);

#endif
