#ifndef IAS_RPS_OUTOFSPEC_DETECTOR_IDENTIFICATION_H
#define IAS_RPS_OUTOFSPEC_DETECTOR_IDENTIFICATION_H

int ias_rps_outofspec_detector_identification
(
    const int *outofspec_detectors,   /* I: List of out-of-spec detectors,
                                         these values come from the CPF and
                                         are 1-based. */
    int number_of_outofspec_detectors,/* I: Number of out-of-spec detectors in
                                         the list */
    int band_number,                  /* I: Band number, 1-based */
    int sca_number,                   /* I: SCA number, 1-based */
    int number_sca_detectors,         /* I: Number of detectors in the SCA */
    int num_lines,                    /* I: Number of lines in the data */
    IAS_PIXEL_MASK *pixel_mask        /* I/O: Contains pixel artifacts */
);

#endif
