#ifndef IAS_RPS_STRUCTURES_H
#define IAS_RPS_STRUCTURES_H

#include "ias_miscellaneous.h"

#define RLUT_VERSION_LENGTH 10

/* Main report structure and additional data needed by algorithms */
typedef struct ias_report
{
    IAS_REPORT_HEADER *header;
    char *directory;
    /* Additional data needed for histogram stats */
    char *rps_level;
    char *rlut_version;
    float oli_frame_rate;
    float tirs_frame_rate;
} IAS_REPORT;

#endif
