#!/bin/csh -f
#***************************************************************************
# NAME:     load_secondary_work_orders
#
#  PURPOSE:  Verifies that the radiometric work order common ''Valid'' flags
#            are set correctly
#  RETURNS:
#        Type:  Integer
#        Value: 0 / 1
#
#  USAGE:    ./load_secondary_work_orders.csh
#****************************************************************************
set IS_IT_MODE = 1
if ( $1 == "ST" ) then
    set IS_IT_MODE = 0
endif

if ( $IS_IT_MODE ) then
    ../tools/tram_mass_loader.pl test_case_003_secondary_order.txt \
        secondary_product_request_WOs.txt
else
    ../tools/tram_mass_loader.pl test_case_003_secondary_order.txt \
        secondary_product_request_WOs.txt    
endif

