set linesize 80
column min_value format a25
column max_value format a25
column parm_value format a21
column sub_module_id format a22
column module_id format a24
set pagesize 500
spool database_output;

prompt Start database queries for TC-005
set termout off

prompt Query 1
prompt SELECT DISTINCT parm_type FROM parameters;
SELECT DISTINCT parm_type FROM parameters;

prompt Query 2
column parm_name format a45
prompt SELECT DISTINCT parm_name, parm_type FROM parameters;
SELECT DISTINCT parm_name, parm_type FROM parameters;
column parm_name format a28

prompt Query 3
prompt SELECT DISTINCT global FROM def_parms;
SELECT DISTINCT global FROM def_parms;

prompt Query 4
prompt SELECT sub_module_id, parm_name, global FROM def_parms WHERE module_id = 'L1T Product' AND parm_name = 'STORE_CHARACTERIZATION_IN_DB';
SELECT sub_module_id, parm_name, global FROM def_parms 
WHERE module_id = 'L1T Product' AND parm_name = 'STORE_CHARACTERIZATION_IN_DB';

prompt Query 5
prompt SELECT parm_name, oui_value FROM parm_list WHERE parm_name IN ('GCP_TYPE', 'PROJ_UNITS');
SELECT parm_name, oui_value FROM parm_list WHERE parm_name 
IN ('GCP_TYPE', 'PROJ_UNITS');

prompt Query 6
prompt SELECT parm_name, min_value, max_value FROM parm_edits WHERE parm_name IN ('PIXEL_SIZE', 'FRAME_COORDS');
SELECT parm_name, min_value, max_value FROM parm_edits WHERE parm_name 
IN ('PIXEL_SIZE', 'FRAME_COORDS');

prompt Query 7
prompt SELECT DISTINCT required FROM def_parms;
SELECT DISTINCT required FROM def_parms;

prompt Query 8
prompt SELECT module_id, sub_module_id, required, parm_value FROM def_parms WHERE parm_name = 'PROCESSING_PASS';
SELECT module_id, sub_module_id, required, parm_value FROM def_parms 
WHERE parm_name = 'PROCESSING_PASS';

prompt Query 9
prompt SELECT module_id, sub_module_id, required, parm_value FROM def_parms WHERE parm_name = 'MINMAX_OUTPUT_DN';
SELECT module_id, sub_module_id, required, parm_value FROM def_parms 
WHERE parm_name = 'MINMAX_OUTPUT_DN';

prompt Query 10
prompt SELECT module_id, sub_module_id, required, parm_value FROM def_parms where parm_name = 'ODTYPE';
SELECT module_id, sub_module_id, required, parm_value FROM def_parms WHERE
parm_name = 'ODTYPE';

prompt Query 11
prompt SELECT parm_name, required, parm_value FROM def_parms WHERE required = 1 AND parm_value IS NULL;
SELECT parm_name, required, parm_value FROM def_parms 
WHERE required = 1 AND parm_value IS NULL;

prompt Query 12
prompt SELECT DISTINCT parm_name, required, parm_value FROM def_parms WHERE required = 0 AND parm_value IS NULL ORDER BY parm_name;
SELECT DISTINCT parm_name, required, parm_value FROM def_parms 
WHERE required = 0 AND parm_value IS NULL ORDER BY parm_name;

set termout ON
prompt
prompt Queries finished successfully
prompt

exit
