#ifndef ERROREMAIL_H
#define ERROREMAIL_H

/******************************************************************************
               Level 1 Product Generation System (LPGS) Software
 ******************************************************************************
 *
 * UNIT NAME:   ErrorEmail.h
 *
 * PURPOSE:
 * This is the declaration of the ErrorEmail class that is used to allow
 * the sending of W/O-failed notification email messages.
 *
 *****************************************************************************/

/* System Includes */

/* Qt Includes */
#include <QtCore>
#include <QtGui>

/* Local Includes */
#include "ui_ErrorEmailBase.h"

class ErrorEmail : public QDialog, public Ui::ErrorEmailBase
{
    Q_OBJECT

    public:
        ErrorEmail(QString strWODir = "", QWidget *parent = 0,
                   Qt::WindowFlags fl = 0);

    protected slots:
        void send();
};

#endif /* ERROREMAIL_H */

