#ifndef LINEEDITPERCENT_H
#define LINEEDITPERCENT_H

/******************************************************************************
               Level 1 Product Generation System (LPGS) Software
******************************************************************************
*
* UNIT NAME:   LineEditPercent.h
*
* PURPOSE:
* This file contains the class declaration for LineEditPercent which is used
* to hold a line edit object that is a number, but represents a percent.
* 
******************************************************************************/

/* System Includes */

/* Qt Includes */
#include <QtCore>
#include <QtGui>

/* Local Includes */

class LineEditPercent : public QLineEdit
{
    Q_OBJECT

    public:
        LineEditPercent(QWidget * parent = 0);
        void setText(const QString &);
        QString text() const;
        QString displayText() const;
};

#endif      //LINEEDITPERCENT_H
