 #ifndef SPINBOX_H
 #define SPINBOX_H

 #include <QSpinBox>

 class SpinBox : public QSpinBox
 {
     Q_OBJECT

 public:
    SpinBox(QWidget *parent = 0)
        : QSpinBox(parent)
    {
    }
    QString textFromValue(int value) const
    {
        /* Special formatting for hours and seconds. (Two digits) */
        if (value >= 0 && value <= 9)
            return "0" + QSpinBox::textFromValue(value);
        return QSpinBox::textFromValue(value);
    }
 };

 #endif
